Index: /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver	(revision 1782)
+++ /CONFIG/UNIFORM/v5/IPSLCM5CHS_v5/GENERAL/DRIVER/lmdz.driver	(revision 1783)
@@ -6,4 +6,10 @@
 #         In file filedef modify the line containing var_name=xxx into var_name=myvalue
     IGCM_debug_PushStack "LMDZ_sed"
+    
+    # Test if the fichier exist
+    if [ ! -f ${1} ] ; then
+	echo "WARNING : ${1} file does not exist. Following will not be done : LMDZ_sed : ${1} ${2} ${3}"
+	return
+    fi
 
     sed -e "s/^${2}\ *=.*/${2}= ${3}/" ${1} > ${1}.tmp
@@ -130,18 +136,51 @@
     fi
 
-    ##  Read LMDZ_Freq_aero and LMDZ_Length_aero in lmdz.card
-    LMDZ_Freq_aero=${lmdz_UserChoices_LMDZ_Freq_aero}
-    LMDZ_Length_aero=${lmdz_UserChoices_LMDZ_Length_aero}
-
-    ##  Read LMDZ_COSP_monthly  LMDZ_COSP_daily and LMDZ_COSP_hf in lmdz.card
-    LMDZ_COSP_OK=${lmdz_UserChoices_LMDZ_COSP_OK}
-    LMDZ_COSP_monthly=${lmdz_UserChoices_LMDZ_COSP_monthly}
-    LMDZ_COSP_daily=${lmdz_UserChoices_LMDZ_COSP_daily}
-    LMDZ_COSP_hf=${lmdz_UserChoices_LMDZ_COSP_hf}
-
-    ##  Read LMDZ_NMC_monthly  LMDZ_NMC_daily and LMDZ_NMC_hf in lmdz.card
-    LMDZ_NMC_monthly=${lmdz_UserChoices_LMDZ_NMC_monthly}
-    LMDZ_NMC_daily=${lmdz_UserChoices_LMDZ_NMC_daily}
-    LMDZ_NMC_hf=${lmdz_UserChoices_LMDZ_NMC_hf}
+
+    ##  Read LMDZ_COSP_OK in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_OK} = X ] ; then
+	LMDZ_COSP_OK=${lmdz_UserChoices_LMDZ_COSP_OK}
+    else
+	LMDZ_COSP_OK=n
+    fi
+    ##  Read LMDZ_COSP_monthly in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_monthly} = X ] ; then
+	LMDZ_COSP_monthly=${lmdz_UserChoices_LMDZ_COSP_monthly}
+    else
+	LMDZ_COSP_monthly=n
+    fi
+    ##  Read LMDZ_COSP_daily in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_daily} = X ] ; then
+	LMDZ_COSP_daily=${lmdz_UserChoices_LMDZ_COSP_daily}
+    else
+	LMDZ_COSP_daily=n
+    fi
+    ##  Read LMDZ_COSP_hf in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_hf} = X ] ; then
+	LMDZ_COSP_hf=${lmdz_UserChoices_LMDZ_COSP_hf}
+    else
+	LMDZ_COSP_hf=n
+    fi
+
+    ##  Read LMDZ_NMC_monthly in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_NMC_monthly} = X ] ; then
+	LMDZ_NMC_monthly=${lmdz_UserChoices_LMDZ_NMC_monthly}
+    else
+	LMDZ_NMC_monthly=n
+    fi
+
+    ## Read LMDZ_NMC_daily in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_NMC_daily} = X ] ; then
+	LMDZ_NMC_daily=${lmdz_UserChoices_LMDZ_NMC_daily}
+    else
+	LMDZ_NMC_daily=n
+    fi
+    
+    ## Read LMDZ_NMC_hf in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_NMC_hf} = X ] ; then
+	LMDZ_NMC_hf=${lmdz_UserChoices_LMDZ_NMC_hf}
+    else
+	LMDZ_NMC_hf=n
+    fi
+
 
     IGCM_debug_PopStack "ATM_Initialize"
@@ -265,5 +304,5 @@
     LMDZ_sed output.def ok_journeCOSP   ${LMDZ_COSP_daily}
     LMDZ_sed output.def ok_hfCOSP   ${LMDZ_COSP_hf}
-    LMDZ_sed output.def ok_histNMC  "${LMDZ_NMC_monthly}, ${LMDZ_NMC_daily}, ${LMDZ_NMC_hf}"
+    LMDZ_sed output.def ok_histNMC  "${LMDZ_NMC_monthly} ${LMDZ_NMC_daily} ${LMDZ_NMC_hf}"
 
     ## gcm.def parameters : 
Index: /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver	(revision 1782)
+++ /CONFIG/UNIFORM/v5/IPSLCM5_v5/GENERAL/DRIVER/lmdz.driver	(revision 1783)
@@ -6,4 +6,10 @@
 #         In file filedef modify the line containing var_name=xxx into var_name=myvalue
     IGCM_debug_PushStack "LMDZ_sed"
+    
+    # Test if the fichier exist
+    if [ ! -f ${1} ] ; then
+	echo "WARNING : ${1} file does not exist. Following will not be done : LMDZ_sed : ${1} ${2} ${3}"
+	return
+    fi
 
     sed -e "s/^${2}\ *=.*/${2}= ${3}/" ${1} > ${1}.tmp
@@ -130,18 +136,51 @@
     fi
 
-    ##  Read LMDZ_Freq_aero and LMDZ_Length_aero in lmdz.card
-    LMDZ_Freq_aero=${lmdz_UserChoices_LMDZ_Freq_aero}
-    LMDZ_Length_aero=${lmdz_UserChoices_LMDZ_Length_aero}
-
-    ##  Read LMDZ_COSP_monthly  LMDZ_COSP_daily and LMDZ_COSP_hf in lmdz.card
-    LMDZ_COSP_OK=${lmdz_UserChoices_LMDZ_COSP_OK}
-    LMDZ_COSP_monthly=${lmdz_UserChoices_LMDZ_COSP_monthly}
-    LMDZ_COSP_daily=${lmdz_UserChoices_LMDZ_COSP_daily}
-    LMDZ_COSP_hf=${lmdz_UserChoices_LMDZ_COSP_hf}
-
-    ##  Read LMDZ_NMC_monthly  LMDZ_NMC_daily and LMDZ_NMC_hf in lmdz.card
-    LMDZ_NMC_monthly=${lmdz_UserChoices_LMDZ_NMC_monthly}
-    LMDZ_NMC_daily=${lmdz_UserChoices_LMDZ_NMC_daily}
-    LMDZ_NMC_hf=${lmdz_UserChoices_LMDZ_NMC_hf}
+
+    ##  Read LMDZ_COSP_OK in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_OK} = X ] ; then
+	LMDZ_COSP_OK=${lmdz_UserChoices_LMDZ_COSP_OK}
+    else
+	LMDZ_COSP_OK=n
+    fi
+    ##  Read LMDZ_COSP_monthly in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_monthly} = X ] ; then
+	LMDZ_COSP_monthly=${lmdz_UserChoices_LMDZ_COSP_monthly}
+    else
+	LMDZ_COSP_monthly=n
+    fi
+    ##  Read LMDZ_COSP_daily in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_daily} = X ] ; then
+	LMDZ_COSP_daily=${lmdz_UserChoices_LMDZ_COSP_daily}
+    else
+	LMDZ_COSP_daily=n
+    fi
+    ##  Read LMDZ_COSP_hf in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_hf} = X ] ; then
+	LMDZ_COSP_hf=${lmdz_UserChoices_LMDZ_COSP_hf}
+    else
+	LMDZ_COSP_hf=n
+    fi
+
+    ##  Read LMDZ_NMC_monthly in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_NMC_monthly} = X ] ; then
+	LMDZ_NMC_monthly=${lmdz_UserChoices_LMDZ_NMC_monthly}
+    else
+	LMDZ_NMC_monthly=n
+    fi
+
+    ## Read LMDZ_NMC_daily in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_NMC_daily} = X ] ; then
+	LMDZ_NMC_daily=${lmdz_UserChoices_LMDZ_NMC_daily}
+    else
+	LMDZ_NMC_daily=n
+    fi
+    
+    ## Read LMDZ_NMC_hf in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_NMC_hf} = X ] ; then
+	LMDZ_NMC_hf=${lmdz_UserChoices_LMDZ_NMC_hf}
+    else
+	LMDZ_NMC_hf=n
+    fi
+
 
     IGCM_debug_PopStack "ATM_Initialize"
@@ -265,5 +304,5 @@
     LMDZ_sed output.def ok_journeCOSP   ${LMDZ_COSP_daily}
     LMDZ_sed output.def ok_hfCOSP   ${LMDZ_COSP_hf}
-    LMDZ_sed output.def ok_histNMC  "${LMDZ_NMC_monthly}, ${LMDZ_NMC_daily}, ${LMDZ_NMC_hf}"
+    LMDZ_sed output.def ok_histNMC  "${LMDZ_NMC_monthly} ${LMDZ_NMC_daily} ${LMDZ_NMC_hf}"
 
     ## gcm.def parameters : 
Index: /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver	(revision 1782)
+++ /CONFIG/UNIFORM/v5/LMDZORINCA_v5/GENERAL/DRIVER/lmdz.driver	(revision 1783)
@@ -6,4 +6,10 @@
 #         In file filedef modify the line containing var_name=xxx into var_name=myvalue
     IGCM_debug_PushStack "LMDZ_sed"
+    
+    # Test if the fichier exist
+    if [ ! -f ${1} ] ; then
+	echo "WARNING : ${1} file does not exist. Following will not be done : LMDZ_sed : ${1} ${2} ${3}"
+	return
+    fi
 
     sed -e "s/^${2}\ *=.*/${2}= ${3}/" ${1} > ${1}.tmp
@@ -130,18 +136,51 @@
     fi
 
-    ##  Read LMDZ_Freq_aero and LMDZ_Length_aero in lmdz.card
-    LMDZ_Freq_aero=${lmdz_UserChoices_LMDZ_Freq_aero}
-    LMDZ_Length_aero=${lmdz_UserChoices_LMDZ_Length_aero}
-
-    ##  Read LMDZ_COSP_monthly  LMDZ_COSP_daily and LMDZ_COSP_hf in lmdz.card
-    LMDZ_COSP_OK=${lmdz_UserChoices_LMDZ_COSP_OK}
-    LMDZ_COSP_monthly=${lmdz_UserChoices_LMDZ_COSP_monthly}
-    LMDZ_COSP_daily=${lmdz_UserChoices_LMDZ_COSP_daily}
-    LMDZ_COSP_hf=${lmdz_UserChoices_LMDZ_COSP_hf}
-
-    ##  Read LMDZ_NMC_monthly  LMDZ_NMC_daily and LMDZ_NMC_hf in lmdz.card
-    LMDZ_NMC_monthly=${lmdz_UserChoices_LMDZ_NMC_monthly}
-    LMDZ_NMC_daily=${lmdz_UserChoices_LMDZ_NMC_daily}
-    LMDZ_NMC_hf=${lmdz_UserChoices_LMDZ_NMC_hf}
+
+    ##  Read LMDZ_COSP_OK in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_OK} = X ] ; then
+	LMDZ_COSP_OK=${lmdz_UserChoices_LMDZ_COSP_OK}
+    else
+	LMDZ_COSP_OK=n
+    fi
+    ##  Read LMDZ_COSP_monthly in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_monthly} = X ] ; then
+	LMDZ_COSP_monthly=${lmdz_UserChoices_LMDZ_COSP_monthly}
+    else
+	LMDZ_COSP_monthly=n
+    fi
+    ##  Read LMDZ_COSP_daily in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_daily} = X ] ; then
+	LMDZ_COSP_daily=${lmdz_UserChoices_LMDZ_COSP_daily}
+    else
+	LMDZ_COSP_daily=n
+    fi
+    ##  Read LMDZ_COSP_hf in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_hf} = X ] ; then
+	LMDZ_COSP_hf=${lmdz_UserChoices_LMDZ_COSP_hf}
+    else
+	LMDZ_COSP_hf=n
+    fi
+
+    ##  Read LMDZ_NMC_monthly in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_NMC_monthly} = X ] ; then
+	LMDZ_NMC_monthly=${lmdz_UserChoices_LMDZ_NMC_monthly}
+    else
+	LMDZ_NMC_monthly=n
+    fi
+
+    ## Read LMDZ_NMC_daily in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_NMC_daily} = X ] ; then
+	LMDZ_NMC_daily=${lmdz_UserChoices_LMDZ_NMC_daily}
+    else
+	LMDZ_NMC_daily=n
+    fi
+    
+    ## Read LMDZ_NMC_hf in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_NMC_hf} = X ] ; then
+	LMDZ_NMC_hf=${lmdz_UserChoices_LMDZ_NMC_hf}
+    else
+	LMDZ_NMC_hf=n
+    fi
+
 
     IGCM_debug_PopStack "ATM_Initialize"
@@ -265,5 +304,5 @@
     LMDZ_sed output.def ok_journeCOSP   ${LMDZ_COSP_daily}
     LMDZ_sed output.def ok_hfCOSP   ${LMDZ_COSP_hf}
-    LMDZ_sed output.def ok_histNMC  "${LMDZ_NMC_monthly}, ${LMDZ_NMC_daily}, ${LMDZ_NMC_hf}"
+    LMDZ_sed output.def ok_histNMC  "${LMDZ_NMC_monthly} ${LMDZ_NMC_daily} ${LMDZ_NMC_hf}"
 
     ## gcm.def parameters : 
Index: /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver	(revision 1782)
+++ /CONFIG/UNIFORM/v5/LMDZOR_v5/GENERAL/DRIVER/lmdz.driver	(revision 1783)
@@ -6,4 +6,10 @@
 #         In file filedef modify the line containing var_name=xxx into var_name=myvalue
     IGCM_debug_PushStack "LMDZ_sed"
+    
+    # Test if the fichier exist
+    if [ ! -f ${1} ] ; then
+	echo "WARNING : ${1} file does not exist. Following will not be done : LMDZ_sed : ${1} ${2} ${3}"
+	return
+    fi
 
     sed -e "s/^${2}\ *=.*/${2}= ${3}/" ${1} > ${1}.tmp
@@ -130,18 +136,51 @@
     fi
 
-    ##  Read LMDZ_Freq_aero and LMDZ_Length_aero in lmdz.card
-    LMDZ_Freq_aero=${lmdz_UserChoices_LMDZ_Freq_aero}
-    LMDZ_Length_aero=${lmdz_UserChoices_LMDZ_Length_aero}
-
-    ##  Read LMDZ_COSP_monthly  LMDZ_COSP_daily and LMDZ_COSP_hf in lmdz.card
-    LMDZ_COSP_OK=${lmdz_UserChoices_LMDZ_COSP_OK}
-    LMDZ_COSP_monthly=${lmdz_UserChoices_LMDZ_COSP_monthly}
-    LMDZ_COSP_daily=${lmdz_UserChoices_LMDZ_COSP_daily}
-    LMDZ_COSP_hf=${lmdz_UserChoices_LMDZ_COSP_hf}
-
-    ##  Read LMDZ_NMC_monthly  LMDZ_NMC_daily and LMDZ_NMC_hf in lmdz.card
-    LMDZ_NMC_monthly=${lmdz_UserChoices_LMDZ_NMC_monthly}
-    LMDZ_NMC_daily=${lmdz_UserChoices_LMDZ_NMC_daily}
-    LMDZ_NMC_hf=${lmdz_UserChoices_LMDZ_NMC_hf}
+
+    ##  Read LMDZ_COSP_OK in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_OK} = X ] ; then
+	LMDZ_COSP_OK=${lmdz_UserChoices_LMDZ_COSP_OK}
+    else
+	LMDZ_COSP_OK=n
+    fi
+    ##  Read LMDZ_COSP_monthly in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_monthly} = X ] ; then
+	LMDZ_COSP_monthly=${lmdz_UserChoices_LMDZ_COSP_monthly}
+    else
+	LMDZ_COSP_monthly=n
+    fi
+    ##  Read LMDZ_COSP_daily in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_daily} = X ] ; then
+	LMDZ_COSP_daily=${lmdz_UserChoices_LMDZ_COSP_daily}
+    else
+	LMDZ_COSP_daily=n
+    fi
+    ##  Read LMDZ_COSP_hf in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_hf} = X ] ; then
+	LMDZ_COSP_hf=${lmdz_UserChoices_LMDZ_COSP_hf}
+    else
+	LMDZ_COSP_hf=n
+    fi
+
+    ##  Read LMDZ_NMC_monthly in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_NMC_monthly} = X ] ; then
+	LMDZ_NMC_monthly=${lmdz_UserChoices_LMDZ_NMC_monthly}
+    else
+	LMDZ_NMC_monthly=n
+    fi
+
+    ## Read LMDZ_NMC_daily in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_NMC_daily} = X ] ; then
+	LMDZ_NMC_daily=${lmdz_UserChoices_LMDZ_NMC_daily}
+    else
+	LMDZ_NMC_daily=n
+    fi
+    
+    ## Read LMDZ_NMC_hf in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_NMC_hf} = X ] ; then
+	LMDZ_NMC_hf=${lmdz_UserChoices_LMDZ_NMC_hf}
+    else
+	LMDZ_NMC_hf=n
+    fi
+
 
     IGCM_debug_PopStack "ATM_Initialize"
@@ -265,5 +304,5 @@
     LMDZ_sed output.def ok_journeCOSP   ${LMDZ_COSP_daily}
     LMDZ_sed output.def ok_hfCOSP   ${LMDZ_COSP_hf}
-    LMDZ_sed output.def ok_histNMC  "${LMDZ_NMC_monthly}, ${LMDZ_NMC_daily}, ${LMDZ_NMC_hf}"
+    LMDZ_sed output.def ok_histNMC  "${LMDZ_NMC_monthly} ${LMDZ_NMC_daily} ${LMDZ_NMC_hf}"
 
     ## gcm.def parameters : 
Index: /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver	(revision 1782)
+++ /CONFIG/UNIFORM/v5/LMDZREPR_v5/GENERAL/DRIVER/lmdz.driver	(revision 1783)
@@ -6,4 +6,10 @@
 #         In file filedef modify the line containing var_name=xxx into var_name=myvalue
     IGCM_debug_PushStack "LMDZ_sed"
+    
+    # Test if the fichier exist
+    if [ ! -f ${1} ] ; then
+	echo "WARNING : ${1} file does not exist. Following will not be done : LMDZ_sed : ${1} ${2} ${3}"
+	return
+    fi
 
     sed -e "s/^${2}\ *=.*/${2}= ${3}/" ${1} > ${1}.tmp
@@ -130,18 +136,51 @@
     fi
 
-    ##  Read LMDZ_Freq_aero and LMDZ_Length_aero in lmdz.card
-    LMDZ_Freq_aero=${lmdz_UserChoices_LMDZ_Freq_aero}
-    LMDZ_Length_aero=${lmdz_UserChoices_LMDZ_Length_aero}
-
-    ##  Read LMDZ_COSP_monthly  LMDZ_COSP_daily and LMDZ_COSP_hf in lmdz.card
-    LMDZ_COSP_OK=${lmdz_UserChoices_LMDZ_COSP_OK}
-    LMDZ_COSP_monthly=${lmdz_UserChoices_LMDZ_COSP_monthly}
-    LMDZ_COSP_daily=${lmdz_UserChoices_LMDZ_COSP_daily}
-    LMDZ_COSP_hf=${lmdz_UserChoices_LMDZ_COSP_hf}
-
-    ##  Read LMDZ_NMC_monthly  LMDZ_NMC_daily and LMDZ_NMC_hf in lmdz.card
-    LMDZ_NMC_monthly=${lmdz_UserChoices_LMDZ_NMC_monthly}
-    LMDZ_NMC_daily=${lmdz_UserChoices_LMDZ_NMC_daily}
-    LMDZ_NMC_hf=${lmdz_UserChoices_LMDZ_NMC_hf}
+
+    ##  Read LMDZ_COSP_OK in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_OK} = X ] ; then
+	LMDZ_COSP_OK=${lmdz_UserChoices_LMDZ_COSP_OK}
+    else
+	LMDZ_COSP_OK=n
+    fi
+    ##  Read LMDZ_COSP_monthly in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_monthly} = X ] ; then
+	LMDZ_COSP_monthly=${lmdz_UserChoices_LMDZ_COSP_monthly}
+    else
+	LMDZ_COSP_monthly=n
+    fi
+    ##  Read LMDZ_COSP_daily in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_daily} = X ] ; then
+	LMDZ_COSP_daily=${lmdz_UserChoices_LMDZ_COSP_daily}
+    else
+	LMDZ_COSP_daily=n
+    fi
+    ##  Read LMDZ_COSP_hf in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_COSP_hf} = X ] ; then
+	LMDZ_COSP_hf=${lmdz_UserChoices_LMDZ_COSP_hf}
+    else
+	LMDZ_COSP_hf=n
+    fi
+
+    ##  Read LMDZ_NMC_monthly in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_NMC_monthly} = X ] ; then
+	LMDZ_NMC_monthly=${lmdz_UserChoices_LMDZ_NMC_monthly}
+    else
+	LMDZ_NMC_monthly=n
+    fi
+
+    ## Read LMDZ_NMC_daily in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_NMC_daily} = X ] ; then
+	LMDZ_NMC_daily=${lmdz_UserChoices_LMDZ_NMC_daily}
+    else
+	LMDZ_NMC_daily=n
+    fi
+    
+    ## Read LMDZ_NMC_hf in lmdz.card
+    if [ ! X${lmdz_UserChoices_LMDZ_NMC_hf} = X ] ; then
+	LMDZ_NMC_hf=${lmdz_UserChoices_LMDZ_NMC_hf}
+    else
+	LMDZ_NMC_hf=n
+    fi
+
 
     IGCM_debug_PopStack "ATM_Initialize"
@@ -265,5 +304,5 @@
     LMDZ_sed output.def ok_journeCOSP   ${LMDZ_COSP_daily}
     LMDZ_sed output.def ok_hfCOSP   ${LMDZ_COSP_hf}
-    LMDZ_sed output.def ok_histNMC  "${LMDZ_NMC_monthly}, ${LMDZ_NMC_daily}, ${LMDZ_NMC_hf}"
+    LMDZ_sed output.def ok_histNMC  "${LMDZ_NMC_monthly} ${LMDZ_NMC_daily} ${LMDZ_NMC_hf}"
 
     ## gcm.def parameters : 