Index: modipsl/branches/newconfig/util/mod.def
===================================================================
--- modipsl/branches/newconfig/util/mod.def	(revision 1781)
+++ modipsl/branches/newconfig/util/mod.def	(revision 1786)
@@ -13,10 +13,7 @@
 #-   local working directory in modipsl
 #- (prefix #-S-) containing the control system and server address.
-#-
-#- The tag "?" correspond to the default model version.
-#- Invoking "model" with -H overrides any tag with "?".
 #---------------------------------------------------------------------
 #- Repository informations
-#-
+
 #-S- 1 cvs anonymous@cvs.ipsl.jussieu.fr:/home/ioipsl/CVSROOT
 #-S- 2 cvs sechiba@cvs.ipsl.jussieu.fr:/home/ssipsl/CVSREP
@@ -36,20 +33,27 @@
 #-S- 16 svn svn+ssh://XXLOGIN@forge.ipsl.jussieu.fr/projets/lmdz-reprobus/svn
 #---------------------------------------------------------------------
-#- Models description
-#-
+
+
+#---- IOIPSL standalone
+
 #-H- IOIPSL  IOIPSL source only
 #-H- IOIPSL  IOIPSL last tagged public version
 #-M- IOIPSL  foujols@ipsl.jussieu.fr
 #-C- IOIPSL  IOIPSL/tags/v2_2_1/src HEAD 8 IOIPSL/src modeles
-#-
-#-H- IOIPSL_PLUS  IOIPSL
+
+#-H- IOIPSL_PLUS  IOIPSL contains source for library and for rebuild
 #-H- IOIPSL_PLUS  IOIPSL last tagged public version
 #-M- IOIPSL_PLUS  foujols@ipsl.jussieu.fr
 #-C- IOIPSL_PLUS  IOIPSL/tags/v2_2_1 HEAD 8 IOIPSL modeles
-#-
+
+#---- libIGCM standalone
+
 #-H- libIGCM  libIGCM latest tagged version 
 #-M- libIGCM  Sebastien.Denvil@ipsl.jussieu.fr
 #-C- libIGCM  tags/libIGCM_v2.0_beta2  HEAD  10 libIGCM    .
-#-
+
+ 
+#---- IPSLCM configurations
+
 #-H- IPSLCM5_v5  IPSLCM5_v5 coupled configuration
 #-H- IPSLCM5_v5  CMIP5 version 08/12/2011
@@ -75,6 +79,33 @@
 #-C- IPSLCM5_v5  XMLF90                         297        12  .              modeles
 #-C- IPSLCM5_v5  XMLIO_SERVER/trunk             297        12  XMLIO_SERVER   modeles
-#-
-#-
+
+ 
+#-H- IPSLCM5A  IPSLCM5A coupled configuration used for CMIP5
+#-H- IPSLCM5A  CMIP5 version 08/12/2011
+#-H- IPSLCM5A  with 5 NEMO sub-domains for vargas or titane by default
+#-H- IPSLCM5A  NEMO svn branches/CMIP5_IPSL 3205 
+#-H- IPSLCM5A  XMLF90 svn trunk revision 297
+#-H- IPSLCM5A  XMLIO_SERVER svn trunk revision 297
+#-H- IPSLCM5A  IOIPSL/src svn tags/v2_2_1
+#-H- IPSLCM5A  LMDZ4 branches LMDZ4_AR5 revision 1602
+#-H- IPSLCM5A  ORCHIDEE version orchidee_1_9_5
+#-H- IPSLCM5A  OASIS3 tag ipslcm5a
+#-H- IPSLCM5A  IPSLCM5A svn 
+#-H- IPSLCM5A  libIGCM tag libIGCM_v2.0_beta2
+#-M- IPSLCM5A  arnaud.caubel@lsce.ipsl.fr
+#-C- IPSLCM5A  IOIPSL/tags/v2_2_1/src        HEAD         8  IOIPSL/src modeles
+#-C- IPSLCM5A  ORCHIDEE            orchidee_1_9_5         2  .          modeles
+#-C- IPSLCM5A  OASIS3                    ipslcm5a         1  prism      .
+#-C- IPSLCM5A  LMDZ4/branches/LMDZ4_AR5/     1602        11  LMDZ4      modeles
+#-C- IPSLCM5A  CONFIG/IPSLCM/IPSLCM5A        HEAD         8  IPSLCM5A   config
+#-C- IPSLCM5A  tags/libIGCM_v2.0_beta2       HEAD        10  libIGCM    .
+#-C- IPSLCM5A  branches/CMIP5_IPSL/NEMO      3205         7  .          modeles
+#-C- IPSLCM5A  branches/CMIP5_IPSL/UTIL      3205         7  .          modeles
+#-C- IPSLCM5A  XMLF90                         297        12  .          modeles
+#-C- IPSLCM5A  XMLIO_SERVER/trunk             297        12  XMLIO_SERVER       modeles
+
+
+#---- LMDZOR configurations
+
 #-H- LMDZOR_v5  LMDZ and ORCHIDEE (closest version to IPSLCM5_v5)
 #-H- LMDZOR_v5  This configuration can be used with LMDZ4(LMDZ4/branches/LMDZ4_AR5) or LMDZ5 (LMDZ5/trunk)
@@ -85,6 +116,18 @@
 #-C- LMDZOR_v5  CONFIG/UNIFORM/v5/LMDZOR_v5           HEAD               8  LMDZOR_v5  config
 #-C- LMDZOR_v5  tags/libIGCM_v2.0_beta2               HEAD               10 libIGCM    .
-#
-#
+
+#-H- LMDZOR_v4  LMDZ and ORCHIDEE (closest version to IPSLCM5A)
+#-H- LMDZOR_v4  This configuration can be used with LMDZ4 or LMDZ5(default)
+#-M- LMDZOR_v4  Josefine.Ghattas@ipsl.jussieu.fr
+#-C- LMDZOR_v4  IOIPSL/tags/v2_2_1/src            HEAD               8  IOIPSL/src modeles
+#-C- LMDZOR_v4  ORCHIDEE                          orchidee_1_9_5     2  .          modeles
+#-C- LMDZOR_v4  LMDZ5/trunk                       1575               11 LMDZ       modeles
+##-C- LMDZOR_v4 LMDZ4/branches/LMDZ4_AR5          HEAD               11 LMDZ       modeles
+#-C- LMDZOR_v4  CONFIG/LMDZOR/branches/LMDZOR_v4  HEAD               8  LMDZOR_v4  config
+#-C- LMDZOR_v4  tags/libIGCM_v2.0_beta2           HEAD               10 libIGCM    .
+
+
+#---- Configurations with RERPROBUS
+
 #-H- LMDZREPR_v5  LMDZ and REBROBUS working configuration
 #-M- LMDZREPR_v5  Josefine.Ghattas@ipsl.jussieu.fr
@@ -94,6 +137,8 @@
 #-C- LMDZREPR_v5  CONFIG/UNIFORM/v5/LMDZREPR_v5        HEAD               8  LMDZREPR_v5 config
 #-C- LMDZREPR_v5  tags/libIGCM_v2.0_beta2              HEAD               10 libIGCM     .
-#
-#
+
+
+#---- Configurations with INCA
+
 #-H- LMDZORINCA_v5  LMDZ4 with ORCHIDEE and INCA (closest version to IPSLCM5_v5):
 #-H- LMDZORINCA_v5  ORCHIDEE tag orchidee_1_9_5
@@ -109,6 +154,8 @@
 #-C- LMDZORINCA_v5  tags/libIGCM_v2.0_beta2		HEAD			10	libIGCM		.
 #-C- LMDZORINCA_v5  CONFIG/UNIFORM/v5/LMDZORINCA_v5	HEAD			8	LMDZORINCA_v5	config
-#
-#
+
+
+#---- Offline configurations with ORCHIDEE
+
 #-H- ORCHIDEE_SVN_AR5 Modele ORCHIDEE AR5 pour utilisation OFFLINE
 #-H- ORCHIDEE_SVN_AR5 ORCHIDEE tag ORCHIDEE_1_9_5
@@ -128,12 +175,12 @@
 #-C- ORCHIDEE_SVN_AR5 tags/ORCHIDEE_1_9_5/ORCHIDEE_OL/SPINUP       HEAD       14  ORCHIDEE_OL/SPINUP        	config
 #-C- ORCHIDEE_SVN_AR5 tags/ORCHIDEE_1_9_5/ORCHIDEE_OL/FLUXNET      HEAD       14  ORCHIDEE_OL/FLUXNET       	config
-#-
+
 #-H- ORCHIDEE_TAG Modele ORCHIDEE last TAG pour utilisation OFFLINE
 #-H- ORCHIDEE_TAG ORCHIDEE tag ORCHIDEE_1_9_6
-#-H- ORCHIDEE_TAG IOIPSL trunk
+#-H- ORCHIDEE_TAG IOIPSL trunk rev 1660
 #-H- ORCHIDEE_TAG libIGCM tag libIGCM_v2.0_beta2
 #-H- ORCHIDEE_TAG FCM svn version PATCHED/FCM_V1.2
 #-M- ORCHIDEE_TAG Josefine.Ghattas@ipsl.jussieu.fr
-#-C- ORCHIDEE_TAG IOIPSL/trunk/src			       HEAD        8 IOIPSL/src			modeles
+#-C- ORCHIDEE_TAG IOIPSL/trunk/src			       1660        8 IOIPSL/src			modeles
 #-C- ORCHIDEE_TAG tags/libIGCM_v2.0_beta2  		       HEAD       10 libIGCM			.
 #-C- ORCHIDEE_TAG PATCHED/FCM_V1.2         		       HEAD       13 tools/FCM/V1.2		.
@@ -147,3 +194,34 @@
 #-C- ORCHIDEE_TAG tags/ORCHIDEE_1_9_6/ORCHIDEE_OL/ENSEMBLE     HEAD       14 ORCHIDEE_OL/ENSEMBLE      	config
 #-C- ORCHIDEE_TAG tags/ORCHIDEE_1_9_6/ORCHIDEE_OL/FLUXNET      HEAD       14 ORCHIDEE_OL/FLUXNET       	config
-#
+
+
+#---- Offline configurations with NEMO
+
+#-H- NEMO  NEMO
+#-H- NEMO  OPA 
+#-H- NEMO  LIM 
+#-H- NEMO  TOP 
+#-H- NEMO  IOIPSL/src - svn - tag v2_2_1
+#-H- NEMO  NEMO sources and configurations - svn - branch CMIP5_IPSL
+#-H- NEMO  XMLF90 svn trunk revision 193
+#-H- NEMO  XMLIO_SERVER svn trunk revision 193
+#-H- NEMO  libIGCM tag libIGCM_v2.0_beta2
+#-M- NEMO  nemo_st@locean-ipsl.upmc.fr
+#-C- NEMO  IOIPSL/tags/v2_2_1/src                             HEAD  8  IOIPSL/src             modeles
+#-C- NEMO  XMLF90                                              193  12 XMLF90                 modeles
+#-C- NEMO  XMLIO_SERVER/trunk                                  193  12 XMLIO_SERVER           modeles
+#-C- NEMO  branches/CMIP5_IPSL/EXTERNAL/XMLF90                HEAD  7  XMLF90/external        modeles
+#-C- NEMO  branches/CMIP5_IPSL/EXTERNAL/XMLIO_SERVER          HEAD  7  XMLIO_SERVER/external  modeles
+#-C- NEMO  tags/libIGCM_v2.0_beta2                            HEAD  10 libIGCM                .
+#-C- NEMO  branches/CMIP5_IPSL/AGRIF                          HEAD  7  .                      modeles
+#-C- NEMO  branches/CMIP5_IPSL/NEMO                           HEAD  7  .                      modeles
+#-C- NEMO  branches/CMIP5_IPSL/UTIL                           HEAD  7  .                      modeles
+#-C- NEMO  branches/CMIP5_IPSL/CONFIG/GYRE                    HEAD  7  GYRE                   config
+#-C- NEMO  branches/CMIP5_IPSL/CONFIG/GYRE_LOBSTER            HEAD  7  GYRE_LOBSTER           config
+#-C- NEMO  branches/CMIP5_IPSL/CONFIG/ORCA2_LIM               HEAD  7  ORCA2_LIM              config
+#-C- NEMO  branches/CMIP5_IPSL/CONFIG/ORCA2_LIM_PISCES        HEAD  7  ORCA2_LIM_PISCES       config
+#-C- NEMO  branches/CMIP5_IPSL/CONFIG/ORCA2_OFF_PISCES        HEAD  7  ORCA2_OFF_PISCES       config
+#-C- NEMO  branches/CMIP5_IPSL/CONFIG/POMME                   HEAD  7  POMME                  config
+#-C- NEMO  branches/CMIP5_IPSL/CONFIG/ORCA2_LIM/EXP00         HEAD  7  PARAM                  config/ORCA2_LIM/IGCM00
+#-C- NEMO  branches/CMIP5_IPSL/CONFIG/ORCA2_LIM_PISCES/EXP00  HEAD  7  PARAM                  config/ORCA2_LIM_PISCES/IGCM00
+#-C- NEMO  branches/CMIP5_IPSL/CONFIG/ORCA2_OFF_PISCES/EXP00  HEAD  7  PARAM                  config/ORCA2_OFF_PISCES/IGCM00
Index: modipsl/branches/newconfig/util/model
===================================================================
--- modipsl/branches/newconfig/util/model	(revision 1781)
+++ modipsl/branches/newconfig/util/model	(revision 1786)
@@ -181,19 +181,21 @@
   echo ' ';
   if [ -z "${m_n}" ]; then
-    echo ${b_n} 'extracts the components of a model';
+    echo ${b_n} ': This script is used to extract one configuration';
     echo ' ';
     echo 'Usage    :';
-    echo ${b_n} '[-h]';
-    echo ${b_n} '[-h] model_name';
-    echo ${b_n} '[-e] [-H] [-v] model_name';
-    echo 'h            : this help';
-    echo 'h model-name : help on model';
-    echo 'e            : extract model';
-    echo 'H            : suppress the tags and take the HEAD version';
-    echo 'v            : verbose mode';
-    echo 'd            : extract default components without option to change';
-    echo 'Defaults     : -e';
+    echo './'${b_n} '[-h]';
+    echo './'${b_n} '[-h] ConfName';
+    echo './'${b_n} '[-v] ConfName';
+    echo ''
+    echo 'Arguments :'
+    echo 'ConfName       : name of configuration to be extracted';
+    echo '-h             : this help';
+    echo '-h ConfName    : description of configuration ConfName';
+# Meaningless option    echo '-e                : extract model';
+# Does not work    echo 'H                : suppress the tags and take the HEAD version';
+    echo '-v             : verbose mode';
+#    echo 'd                : extract default components without option to change';
     echo ' ';
-    echo 'model_name in :';
+    echo 'Possible configurations are :';
     qi=0; while (( ${qi} < ${#m_x[@]} ));
       do ((qi=qi+1)); echo ${m_x[${qi}]}; done