Index: /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_2/EXP_LOI/COMP/inca.card_AER
===================================================================
--- /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_2/EXP_LOI/COMP/inca.card_AER	(revision 1799)
+++ /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_2/EXP_LOI/COMP/inca.card_AER	(revision 1800)
@@ -11,6 +11,6 @@
 List=	    (/dmnfs/cont003/p24data/ECMWF320x160/AN${year}/165_${year}${month}.nc      , u10mec.nc)\
 	    (/dmnfs/cont003/p24data/ECMWF320x160/AN${year}/166_${year}${month}.nc      , v10mec.nc)\
-	    (/dmnfs/cont003/p24data/ECMWF96x95/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc  )\
-	    (/dmnfs/cont003/p24data/ECMWF96x95/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
+	    (/dmnfs/cont003/p24data/ECMWF${RESOL_ATM_XY}/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc  )\
+	    (/dmnfs/cont003/p24data/ECMWF${RESOL_ATM_XY}/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
 
 
Index: /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_2/EXP_LOI/COMP/inca.card_NMHC_AER
===================================================================
--- /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_2/EXP_LOI/COMP/inca.card_NMHC_AER	(revision 1799)
+++ /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_2/EXP_LOI/COMP/inca.card_NMHC_AER	(revision 1800)
@@ -11,6 +11,6 @@
 List=	    (/dmnfs/cont003/p24data/ECMWF320x160/AN${year}/165_${year}${month}.nc      , u10mec.nc)\
 	    (/dmnfs/cont003/p24data/ECMWF320x160/AN${year}/166_${year}${month}.nc      , v10mec.nc)\
-	    (/ccc/work/cont003/dsm/p24data/ECMWF144x142/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc  )\
-	    (/ccc/work/cont003/dsm/p24data/ECMWF144x142/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
+	    (/dmnfs/cont003/p24data/ECMWF${RESOL_ATM_XY}/AN${year}/u10m_ecmwf_${year}${month}.nc , u10m.nc  )\
+	    (/dmnfs/cont003/p24data/ECMWF${RESOL_ATM_XY}/AN${year}/v10m_ecmwf_${year}${month}.nc , v10m.nc  )
 
 ListNonDel= (${R_INIT}/CHM/LMDZORINCA/INCA${RESOL_CHM}/o3clim.nc	,  .		)\
Index: /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_2/EXP_LOI/COMP/lmdz.card_L19
===================================================================
--- /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_2/EXP_LOI/COMP/lmdz.card_L19	(revision 1799)
+++ /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_2/EXP_LOI/COMP/lmdz.card_L19	(revision 1800)
@@ -33,7 +33,8 @@
 
 [BoundaryFiles]
-List=   (${R_BC}/CHM/LMDZORINCA/${RESOL_ATM}_leap/EL-${RESOL_ATM}_${year}1231_limit.nc 	, limit.nc	),\
-	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/u_ecmwf_${year}${month}.nc	, u.nc		),\
-	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM}/NUDGE_FILES/v_ecmwf_${year}${month}.nc	, v.nc		)
+List=   (${R_BC}/CHM/LMDZORINCA/${RESOL_ATM_2D}_leap/EL-${RESOL_ATM_2D}_${year}1231_limit.nc , limit.nc)
+
+#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM_2D}/NUDGE_FILES/u_ecmwf_${year}${month}.nc	, u.nc		),\
+#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM_2D}/NUDGE_FILES/v_ecmwf_${year}${month}.nc	, v.nc		)
 
 ListNonDel= ()
Index: /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_2/EXP_LOI/COMP/lmdz.card_L39
===================================================================
--- /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_2/EXP_LOI/COMP/lmdz.card_L39	(revision 1799)
+++ /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_2/EXP_LOI/COMP/lmdz.card_L39	(revision 1800)
@@ -32,8 +32,8 @@
 
 [BoundaryFiles]
-List=   (${R_BC}/CHM/LMDZORINCA/LMD9695_leap/EL-LMD9695_${year}1231_limit.nc , limit.nc)
+List=   (${R_BC}/CHM/LMDZORINCA/${RESOL_ATM_2D}_leap/EL-${RESOL_ATM_2D}_${year}1231_limit.nc , limit.nc)
 
-#	(${R_BC}/ATM/LMDZORINCA/LMD9695/NUDGE_FILES/u_ecmwf_${year}${month}.nc	, u.nc		),\
-#	(${R_BC}/ATM/LMDZORINCA/LMD9695/NUDGE_FILES/v_ecmwf_${year}${month}.nc	, v.nc		)
+#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM_2D}/NUDGE_FILES/u_ecmwf_${year}${month}.nc	, u.nc		),\
+#	(${R_BC}/ATM/LMDZORINCA/${RESOL_ATM_2D}/NUDGE_FILES/v_ecmwf_${year}${month}.nc	, v.nc		)
  
 ListNonDel= ()
Index: /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_2/EXP_LOI/COMP/lmdz.driver
===================================================================
--- /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_2/EXP_LOI/COMP/lmdz.driver	(revision 1799)
+++ /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_2/EXP_LOI/COMP/lmdz.driver	(revision 1800)
@@ -28,5 +28,7 @@
 
     RESOL_ATM_Z=$( echo ${RESOL_ATM_3D} | awk "-Fx" '{print $3}' | awk "-F-" '{print $1}')
-
+    RESOL_ATM_X=$( echo ${RESOL_ATM_3D} | awk "-Fx" '{print $1}' )
+    RESOL_ATM_Y=$( echo ${RESOL_ATM_3D} | awk "-Fx" '{print $2}' )
+    RESOL_ATM_XY="${RESOL_ATM_X}x${RESOL_ATM_Y}"
 
     ##-- Calendar type for LMDZ