Index: modipsl/branches/newconfig/util/mod.def
===================================================================
--- modipsl/branches/newconfig/util/mod.def	(revision 1819)
+++ modipsl/branches/newconfig/util/mod.def	(revision 1825)
@@ -80,5 +80,5 @@
 #-C- IPSLCM5_v5  XMLIO_SERVER/trunk             297        12  XMLIO_SERVER   modeles
 
- 
+
 #-H- IPSLCM5A  IPSLCM5A coupled configuration used for CMIP5
 #-H- IPSLCM5A  CMIP5 version 08/12/2011
@@ -104,4 +104,72 @@
 #-C- IPSLCM5A  XMLF90                         297        12  .          modeles
 #-C- IPSLCM5A  XMLIO_SERVER/trunk             297        12  XMLIO_SERVER       modeles
+
+
+#-H- IPSLCM5B  IPSLCM5B coupled configuration
+#-H- IPSLCM5B  CMIP5 version 10/11/2010 using LMDZ new physics
+#-H- IPSLCM5B  NEMO svn branches/CMIP5_IPSL 2763 
+#-H- IPSLCM5B  XMLF90 svn trunk revision 136
+#-H- IPSLCM5B  XMLIO_SERVER svn trunk revision 136
+#-H- IPSLCM5B  IOIPSL/src svn tags/v2_2_1
+#-H- IPSLCM5B  LMDZ5 branch LMDZ5_AR5 inculding LMDZ new physics
+#-H- IPSLCM5B  ORCHIDEE version orchidee_1_9_5
+#-H- IPSLCM5B  OASIS3 tag ipslcm5a
+#-H- IPSLCM5B  IPSLCM5B svn 
+#-H- IPSLCM5B  libIGCM tag libIGCM_v2.0_beta3
+#-M- IPSLCM5B  laurent.fairhead@lmd.jussieu.fr
+#-C- IPSLCM5B  IOIPSL/tags/v2_2_1/src        HEAD         8  IOIPSL/src modeles
+#-C- IPSLCM5B  ORCHIDEE            orchidee_1_9_5         2  .          modeles
+#-C- IPSLCM5B  OASIS3                    ipslcm5a         1  prism      .
+#-C- IPSLCM5B  LMDZ5/branches/LMDZ5_AR5      HEAD        11  LMDZ5      modeles
+#-C- IPSLCM5B  CONFIG/IPSLCM/IPSLCM5B        HEAD         8  IPSLCM5B   config
+#-C- IPSLCM5B  tags/libIGCM_v2.0_beta3       HEAD        10  libIGCM    .
+#-C- IPSLCM5B  branches/CMIP5_IPSL/NEMO      3205         7  .          modeles
+#-C- IPSLCM5B  branches/CMIP5_IPSL/UTIL      3205         7  .          modeles
+#-C- IPSLCM5B  XMLF90                         297        12  .          modeles
+#-C- IPSLCM5B  XMLIO_SERVER/trunk             297        12  XMLIO_SERVER       modeles
+
+#-H- IPSLCM5A_C  IPSLCM5A_C coupled configuration
+#-H- IPSLCM5A_C  CMIP5 with interactive carbon cycle : version 03/01/2011
+#-H- IPSLCM5A_C  NEMO svn branches/CMIP5_IPSL 2763 
+#-H- IPSLCM5A_C  XMLF90 svn trunk revision 136
+#-H- IPSLCM5A_C  XMLIO_SERVER svn trunk revision 136
+#-H- IPSLCM5A_C  IOIPSL/src svn tags/v2_2_1
+#-H- IPSLCM5A_C  LMDZ4 branches LMDZ4_AR5 revision 1483
+#-H- IPSLCM5A_C  ORCHIDEE version orchidee_1_9_5
+#-H- IPSLCM5A_C  OASIS3 tag ipslcm5a
+#-H- IPSLCM5A_C  IPSLCM5A svn 
+#-H- IPSLCM5A_C  libIGCM tag libIGCM_v2.0_beta3
+#-M- IPSLCM5A_C  arnaud.caubel@lsce.ipsl.fr
+#-C- IPSLCM5A_C  IOIPSL/tags/v2_2_1/src        HEAD         8  IOIPSL/src modeles
+#-C- IPSLCM5A_C  ORCHIDEE          orchidee_1_9_5_1         2  .          modeles
+#-C- IPSLCM5A_C  OASIS3                    ipslcm5a         1  prism      .
+#-C- IPSLCM5A_C  LMDZ4/branches/LMDZ4_AR5/     1483        11  LMDZ4      modeles
+#-C- IPSLCM5A_C  CONFIG/IPSLCM/IPSLCM5A        HEAD         8  IPSLCM5A_C config
+#-C- IPSLCM5A_C  tags/libIGCM_v2.0_beta3       HEAD        10  libIGCM    .
+#-C- IPSLCM5A_C  branches/CMIP5_IPSL/NEMO      2763         7  .          modeles
+#-C- IPSLCM5A_C  branches/CMIP5_IPSL/UTIL      2763         7  .          modeles
+#-C- IPSLCM5A_C  XMLF90                         193        12  .          modeles
+#-C- IPSLCM5A_C  XMLIO_SERVER/trunk             193        12  XMLIO_SERVER       modeles
+ 
+#-H- IPSLCM4_LOOP  Obsolete configuration. Not supported.
+#-H- IPSLCM4_LOOP  IPSL coupled model with tracer model and carbon cycle
+#-H- IPSLCM4_LOOP  ORCA (OPA+TRC+LIM) : tag ipsl_cm4_loop_1
+#-H- IPSLCM4_LOOP  IOIPSL/src tag ioipsl-2-0
+#-H- IPSLCM4_LOOP  LMDZ4 tag IPSL-CM4_LOOP
+#-H- IPSLCM4_LOOP  ORCHIDEE tag orchidee_1_4
+#-H- IPSLCM4_LOOP  CPL Oasis tag IPSL : HEAD
+#-H- IPSLCM4_LOOP  IPSLCM4_LOOP configuration tag IPSL : ipsl_cm4_loop_v1
+#-H- IPSLCM4_LOOP  Message sent to Patricia CADULE (IPSL)
+#-M- IPSLCM4_LOOP  patricia.cadule@ipsl.jussieu.fr
+#-C- IPSLCM4_LOOP  IOIPSL/src    ioipsl-2-0      1 . modeles
+#-C- IPSLCM4_LOOP  CPL           ?               1 . modeles
+#-C- IPSLCM4_LOOP  ORCHIDEE      orchidee_1_4    2 . modeles
+#-C- IPSLCM4_LOOP  LMDZ4         IPSL-CM4_LOOP   3 . modeles
+#-C- IPSLCM4_LOOP  IPSLCM4_LOOP  ?               1 IPSLCM4_LOOP config
+#-C- IPSLCM4_LOOP  IPSLCM4_v1/Utilitaires ipsl_cm4_v1_6 1 post_util .
+#-C- IPSLCM4_LOOP  OPA/SRC_ORCA  ipsl_cm4_loop_1 4 . modeles
+#-C- IPSLCM4_LOOP  OPA/SRC_UCL   ipsl_cm4_loop_1 4 . modeles
+#-C- IPSLCM4_LOOP  OPA/SRC_TRC   ipsl_cm4_loop_1 4 . modeles
+#-C- IPSLCM4_LOOP  UTIL/fait_AA_make ipsl_cm4_v1_8 4 .  modeles
 
 
@@ -266,4 +334,24 @@
 #-C- ORCHIDEE_TAG tags/ORCHIDEE_1_9_6/ORCHIDEE_OL/ENSEMBLE     HEAD       14 ORCHIDEE_OL/ENSEMBLE      	config
 #-C- ORCHIDEE_TAG tags/ORCHIDEE_1_9_6/ORCHIDEE_OL/FLUXNET      HEAD       14 ORCHIDEE_OL/FLUXNET       	config
+
+
+#-H- ORCHIDEE_SVN_DEV  Modele ORCHIDEE pour utilisation OFFLINE
+#-H- ORCHIDEE_SVN_DEV  ORCHIDEE trunk
+#-H- ORCHIDEE_SVN_DEV  IOIPSL with tag 2.2.1
+#-H- ORCHIDEE_SVN_DEV  libIGCM tag libIGCM_v2.0_beta2
+#-H- ORCHIDEE_SVN_DEV  FCM svn version PATCHED/FCM_V1.2
+#-M- ORCHIDEE_SVN_DEV  Josefine.Ghattas@ipsl.jussieu.fr
+#-C- ORCHIDEE_SVN_DEV  IOIPSL/tags/v2_2_1/src HEAD   8 IOIPSL/src      modeles
+#-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v2.0_beta2 HEAD  10 libIGCM         .
+#-C- ORCHIDEE_SVN_DEV  PATCHED/FCM_V1.2       HEAD  13 tools/FCM/V1.2  .
+#-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE                 ?       15 .
+#-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE_OL              ?       15 .
+#-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE_OL/OOL_SEC_STO  ?       15 config/ORCHIDEE_OL/OOL_SEC_STO .
+#-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE_OL/OOL_SEC      ?       15 . config/ORCHIDEE_OL
+#-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE_OL/FORCESOIL    ?       15 . config/ORCHIDEE_OL
+#-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE_OL/TESTSTOMATE  ?       15 . config/ORCHIDEE_OL
+#-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE_OL/SPINUP       ?       15 . config/ORCHIDEE_OL
+#-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE_OL/ENSEMBLE     ?       15 . config/ORCHIDEE_OL
+#-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE_OL/FLUXNET      ?       15 . config/ORCHIDEE_OL
 
 