Index: /modipsl/branches/newconfig/util/mod.def
===================================================================
--- /modipsl/branches/newconfig/util/mod.def	(revision 1826)
+++ /modipsl/branches/newconfig/util/mod.def	(revision 1827)
@@ -51,5 +51,5 @@
 #-H- libIGCM  libIGCM latest tagged version 
 #-M- libIGCM  Sebastien.Denvil@ipsl.jussieu.fr
-#-C- libIGCM  tags/libIGCM_v2.0_beta3  HEAD  10 libIGCM    .
+#-C- libIGCM  tags/libIGCM_v2.0_beta4  HEAD  10 libIGCM    .
 
  
@@ -67,5 +67,5 @@
 #-H- IPSLCM5_v5  OASIS3 rev 1677 trunk
 #-H- IPSLCM5_v5  IPSLCM5_v5 svn 
-#-H- IPSLCM5_v5  libIGCM tag libIGCM_v2.0_beta3
+#-H- IPSLCM5_v5  libIGCM tag libIGCM_v2.0_beta4
 #-M- IPSLCM5_v5  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5_v5  IOIPSL/tags/v2_2_1/src        HEAD         8  IOIPSL/src     modeles
@@ -74,5 +74,5 @@
 #-C- IPSLCM5_v5  LMDZ5/trunk                   1628        11  LMDZ           modeles
 #-C- IPSLCM5_v5  CONFIG/UNIFORM/v5/IPSLCM5_v5  HEAD         8  IPSLCM5_v5     config
-#-C- IPSLCM5_v5  tags/libIGCM_v2.0_beta3       HEAD        10  libIGCM        .
+#-C- IPSLCM5_v5  tags/libIGCM_v2.0_beta4       HEAD        10  libIGCM        .
 #-C- IPSLCM5_v5  branches/CMIP5_IPSL/NEMO      3205         7  .              modeles
 #-C- IPSLCM5_v5  branches/CMIP5_IPSL/UTIL      3405         7  .              modeles
@@ -92,5 +92,5 @@
 #-H- IPSLCM5A  OASIS3 tag ipslcm5a
 #-H- IPSLCM5A  IPSLCM5A svn 
-#-H- IPSLCM5A  libIGCM tag libIGCM_v2.0_beta3
+#-H- IPSLCM5A  libIGCM tag libIGCM_v2.0_beta4
 #-M- IPSLCM5A  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5A  IOIPSL/tags/v2_2_1/src        HEAD         8  IOIPSL/src modeles
@@ -99,5 +99,5 @@
 #-C- IPSLCM5A  LMDZ4/branches/LMDZ4_AR5/     1602        11  LMDZ4      modeles
 #-C- IPSLCM5A  CONFIG/IPSLCM/IPSLCM5A        HEAD         8  IPSLCM5A   config
-#-C- IPSLCM5A  tags/libIGCM_v2.0_beta3       HEAD        10  libIGCM    .
+#-C- IPSLCM5A  tags/libIGCM_v2.0_beta4       HEAD        10  libIGCM    .
 #-C- IPSLCM5A  branches/CMIP5_IPSL/NEMO      3205         7  .          modeles
 #-C- IPSLCM5A  branches/CMIP5_IPSL/UTIL      3205         7  .          modeles
@@ -116,5 +116,5 @@
 #-H- IPSLCM5B  OASIS3 tag ipslcm5a
 #-H- IPSLCM5B  IPSLCM5B svn 
-#-H- IPSLCM5B  libIGCM tag libIGCM_v2.0_beta3
+#-H- IPSLCM5B  libIGCM tag libIGCM_v2.0_beta4
 #-M- IPSLCM5B  laurent.fairhead@lmd.jussieu.fr
 #-C- IPSLCM5B  IOIPSL/tags/v2_2_1/src        HEAD         8  IOIPSL/src modeles
@@ -123,5 +123,5 @@
 #-C- IPSLCM5B  LMDZ5/branches/LMDZ5_AR5      HEAD        11  LMDZ5      modeles
 #-C- IPSLCM5B  CONFIG/IPSLCM/IPSLCM5B        HEAD         8  IPSLCM5B   config
-#-C- IPSLCM5B  tags/libIGCM_v2.0_beta3       HEAD        10  libIGCM    .
+#-C- IPSLCM5B  tags/libIGCM_v2.0_beta4       HEAD        10  libIGCM    .
 #-C- IPSLCM5B  branches/CMIP5_IPSL/NEMO      3205         7  .          modeles
 #-C- IPSLCM5B  branches/CMIP5_IPSL/UTIL      3205         7  .          modeles
@@ -139,5 +139,5 @@
 #-H- IPSLCM5A_C  OASIS3 tag ipslcm5a
 #-H- IPSLCM5A_C  IPSLCM5A svn 
-#-H- IPSLCM5A_C  libIGCM tag libIGCM_v2.0_beta3
+#-H- IPSLCM5A_C  libIGCM tag libIGCM_v2.0_beta4
 #-M- IPSLCM5A_C  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5A_C  IOIPSL/tags/v2_2_1/src        HEAD         8  IOIPSL/src modeles
@@ -146,9 +146,10 @@
 #-C- IPSLCM5A_C  LMDZ4/branches/LMDZ4_AR5/     1483        11  LMDZ4      modeles
 #-C- IPSLCM5A_C  CONFIG/IPSLCM/IPSLCM5A        HEAD         8  IPSLCM5A_C config
-#-C- IPSLCM5A_C  tags/libIGCM_v2.0_beta3       HEAD        10  libIGCM    .
+#-C- IPSLCM5A_C  tags/libIGCM_v2.0_beta4       HEAD        10  libIGCM    .
 #-C- IPSLCM5A_C  branches/CMIP5_IPSL/NEMO      2763         7  .          modeles
 #-C- IPSLCM5A_C  branches/CMIP5_IPSL/UTIL      2763         7  .          modeles
 #-C- IPSLCM5A_C  XMLF90                         193        12  .          modeles
 #-C- IPSLCM5A_C  XMLIO_SERVER/trunk             193        12  XMLIO_SERVER       modeles
+
  
 #-H- IPSLCM4_LOOP  Obsolete configuration. Not supported.
@@ -184,5 +185,5 @@
 ##-C- LMDZOR_v5 LMDZ4/branches/LMDZ4_AR5              HEAD               11 LMDZ       modeles
 #-C- LMDZOR_v5  CONFIG/UNIFORM/v5/LMDZOR_v5           HEAD               8  LMDZOR_v5  config
-#-C- LMDZOR_v5  tags/libIGCM_v2.0_beta3               HEAD               10 libIGCM    .
+#-C- LMDZOR_v5  tags/libIGCM_v2.0_beta4               HEAD               10 libIGCM    .
 
 #-H- LMDZOR_v4  LMDZ and ORCHIDEE (closest version to IPSLCM5A)
@@ -194,5 +195,5 @@
 ##-C- LMDZOR_v4 LMDZ4/branches/LMDZ4_AR5          HEAD               11 LMDZ       modeles
 #-C- LMDZOR_v4  CONFIG/LMDZOR/branches/LMDZOR_v4  HEAD               8  LMDZOR_v4  config
-#-C- LMDZOR_v4  tags/libIGCM_v2.0_beta3           HEAD               10 libIGCM    .
+#-C- LMDZOR_v4  tags/libIGCM_v2.0_beta4           HEAD               10 libIGCM    .
 
 
@@ -205,5 +206,5 @@
 #-H- LMDZORINCA  LMDZ5 (CREATE_E0) for ce0l LMDZ5/trunk 1531	
 #-H- LMDZORINCA  IOIPSL/src svn tags/v2_2_1
-#-H- LMDZORINCA  libIGCM tag libIGCM_v1_7
+#-H- LMDZORINCA  libIGCM tag libIGCM_v2.0_beta4
 #-M- LMDZORINCA  Anne.Cozic@lsce.ipsl.fr
 #-C- LMDZORINCA  IOIPSL/tags/v2_2_1/src			HEAD			8	IOIPSL/src	modeles
@@ -212,5 +213,5 @@
 #-C- LMDZORINCA  LMDZ4/branches/LMDZ4_AR5/     		1567   			11	LMDZ		modeles
 #-C- LMDZORINCA  trunk/INCA3				255			9	INCA3		modeles
-#-C- LMDZORINCA  tags/libIGCM_v2.0_beta3		HEAD			10	libIGCM		.
+#-C- LMDZORINCA  tags/libIGCM_v2.0_beta4		HEAD			10	libIGCM		.
 #-C- LMDZORINCA  CONFIG/LMDZORINCA/tags/LMDZORINCA_v2	HEAD			8	LMDZORINCA	config
 
@@ -221,5 +222,5 @@
 #-H- LMDZORINCA_v5  LMDZ5 LMDZ5/trunk rev 1628
 #-H- LMDZORINCA_v5  IOIPSL/src svn tags/v2_2_1
-#-H- LMDZORINCA_v5  libIGCM tag libIGCM_v2.0_beta3
+#-H- LMDZORINCA_v5  libIGCM tag libIGCM_v2.0_beta4
 #-M- LMDZORINCA_v5  Anne.Cozic@lsce.ipsl.fr
 #-C- LMDZORINCA_v5  IOIPSL/tags/v2_2_1/src		HEAD			8	IOIPSL/src	modeles
@@ -227,5 +228,5 @@
 #-C- LMDZORINCA_v5  LMDZ5/trunk				1628			11 	LMDZ		modeles
 #-C- LMDZORINCA_v5  tags/INCA4.1.0			HEAD			9	INCA3		modeles
-#-C- LMDZORINCA_v5  tags/libIGCM_v2.0_beta3		HEAD			10	libIGCM		.
+#-C- LMDZORINCA_v5  tags/libIGCM_v2.0_beta4		HEAD			10	libIGCM		.
 #-C- LMDZORINCA_v5  CONFIG/UNIFORM/v5/LMDZORINCA_v5	HEAD			8	LMDZORINCA_v5	config
 
@@ -243,5 +244,5 @@
 #-H- IPSLCM5CHT_v5  OASIS3 rev 1677 trunk
 #-H- IPSLCM5CHT_v5  IPSLCM5CHS_v5 svn 
-#-H- IPSLCM5CHT_v5  libIGCM tag libIGCM_v2.0_beta3
+#-H- IPSLCM5CHT_v5  libIGCM tag libIGCM_v2.0_beta4
 #-M- IPSLCM5CHT_v5  anne.cozic@lsce.ipsl.fr
 #-C- IPSLCM5CHT_v5  IOIPSL/tags/v2_2_1/src		HEAD	8	IOIPSL/src	modeles
@@ -250,5 +251,5 @@
 #-C- IPSLCM5CHT_v5  LMDZ5/trunk				1628	11	LMDZ		modeles
 #-C- IPSLCM5CHT_v5  CONFIG/UNIFORM/v5/IPSLCM5CHT_v5	HEAD	8	IPSLCM5CHT_v5	config
-#-C- IPSLCM5CHT_v5  tags/libIGCM_v2.0_beta3		HEAD	10	libIGCM		.
+#-C- IPSLCM5CHT_v5  tags/libIGCM_v2.0_beta4		HEAD	10	libIGCM		.
 #-C- IPSLCM5CHT_v5  branches/CMIP5_IPSL/NEMO		3205	7	.		modeles
 #-C- IPSLCM5CHT_v5  branches/CMIP5_IPSL/UTIL		3405	7	.		modeles
@@ -266,5 +267,5 @@
 #-C- LMDZREPR_v5  trunk                                HEAD               16 REPROBUS    modeles
 #-C- LMDZREPR_v5  CONFIG/UNIFORM/v5/LMDZREPR_v5        HEAD               8  LMDZREPR_v5 config
-#-C- LMDZREPR_v5  tags/libIGCM_v2.0_beta3              HEAD               10 libIGCM     .
+#-C- LMDZREPR_v5  tags/libIGCM_v2.0_beta4              HEAD               10 libIGCM     .
 
 
@@ -281,5 +282,5 @@
 #-H- IPSLCM5CHS_v5  OASIS3 rev 1677 trunk
 #-H- IPSLCM5CHS_v5  IPSLCM5CHS_v5 svn 
-#-H- IPSLCM5CHS_v5  libIGCM tag libIGCM_v2.0_beta3
+#-H- IPSLCM5CHS_v5  libIGCM tag libIGCM_v2.0_beta4
 #-M- IPSLCM5CHS_v5  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5CHS_v5  IOIPSL/tags/v2_2_1/src          HEAD         8  IOIPSL/src     modeles
@@ -288,5 +289,5 @@
 #-C- IPSLCM5CHS_v5  LMDZ5/trunk                     1628        11  LMDZ           modeles
 #-C- IPSLCM5CHS_v5  CONFIG/UNIFORM/v5/IPSLCM5CHS_v5 HEAD         8  IPSLCM5CHS_v5  config
-#-C- IPSLCM5CHS_v5  tags/libIGCM_v2.0_beta3         HEAD        10  libIGCM        .
+#-C- IPSLCM5CHS_v5  tags/libIGCM_v2.0_beta4         HEAD        10  libIGCM        .
 #-C- IPSLCM5CHS_v5  branches/CMIP5_IPSL/NEMO        3205         7  .              modeles
 #-C- IPSLCM5CHS_v5  branches/CMIP5_IPSL/UTIL        3405         7  .              modeles
@@ -301,9 +302,9 @@
 #-H- ORCHIDEE_SVN_AR5 ORCHIDEE tag ORCHIDEE_1_9_5
 #-H- ORCHIDEE_SVN_AR5 IOIPSL with tag 2.2.1
-#-H- ORCHIDEE_SVN_AR5 libIGCM tag libIGCM_v2.0_beta3
+#-H- ORCHIDEE_SVN_AR5 libIGCM tag libIGCM_v2.0_beta4
 #-H- ORCHIDEE_SVN_AR5 FCM svn version PATCHED/FCM_V1.2
 #-M- ORCHIDEE_SVN_AR5 Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_AR5 IOIPSL/tags/v2_2_1/src			   HEAD        8  IOIPSL/src			modeles
-#-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v2.0_beta3  		       	   HEAD       10  libIGCM         		.
+#-C- ORCHIDEE_SVN_AR5 tags/libIGCM_v2.0_beta4  		       	   HEAD       10  libIGCM         		.
 #-C- ORCHIDEE_SVN_AR5 PATCHED/FCM_V1.2         		       	   HEAD       13  tools/FCM/V1.2  		.
 #-C- ORCHIDEE_SVN_AR5 tags/ORCHIDEE_1_9_5/ORCHIDEE                 HEAD       14  ORCHIDEE			modeles
@@ -319,9 +320,9 @@
 #-H- ORCHIDEE_TAG ORCHIDEE tag ORCHIDEE_1_9_6
 #-H- ORCHIDEE_TAG IOIPSL trunk rev 1660
-#-H- ORCHIDEE_TAG libIGCM tag libIGCM_v2.0_beta3
+#-H- ORCHIDEE_TAG libIGCM tag libIGCM_v2.0_beta4
 #-H- ORCHIDEE_TAG FCM svn version PATCHED/FCM_V1.2
 #-M- ORCHIDEE_TAG Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_TAG IOIPSL/trunk/src			       1660        8 IOIPSL/src			modeles
-#-C- ORCHIDEE_TAG tags/libIGCM_v2.0_beta3  		       HEAD       10 libIGCM			.
+#-C- ORCHIDEE_TAG tags/libIGCM_v2.0_beta4  		       HEAD       10 libIGCM			.
 #-C- ORCHIDEE_TAG PATCHED/FCM_V1.2         		       HEAD       13 tools/FCM/V1.2		.
 #-C- ORCHIDEE_TAG tags/ORCHIDEE_1_9_6/ORCHIDEE                 HEAD       14 ORCHIDEE			modeles
@@ -339,9 +340,9 @@
 #-H- ORCHIDEE_SVN_DEV  ORCHIDEE trunk
 #-H- ORCHIDEE_SVN_DEV  IOIPSL with tag 2.2.1
-#-H- ORCHIDEE_SVN_DEV  libIGCM tag libIGCM_v2.0_beta2
+#-H- ORCHIDEE_SVN_DEV  libIGCM tag libIGCM_v2.0_beta4
 #-H- ORCHIDEE_SVN_DEV  FCM svn version PATCHED/FCM_V1.2
 #-M- ORCHIDEE_SVN_DEV  Josefine.Ghattas@ipsl.jussieu.fr
 #-C- ORCHIDEE_SVN_DEV  IOIPSL/tags/v2_2_1/src HEAD   8 IOIPSL/src      modeles
-#-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v2.0_beta2 HEAD  10 libIGCM         .
+#-C- ORCHIDEE_SVN_DEV  tags/libIGCM_v2.0_beta4 HEAD  10 libIGCM         .
 #-C- ORCHIDEE_SVN_DEV  PATCHED/FCM_V1.2       HEAD  13 tools/FCM/V1.2  .
 #-C- ORCHIDEE_SVN_DEV  perso/yourlogin/ORCHIDEE                 ?       15 .
@@ -366,5 +367,5 @@
 #-H- NEMO  XMLF90 svn trunk revision 193
 #-H- NEMO  XMLIO_SERVER svn trunk revision 193
-#-H- NEMO  libIGCM tag libIGCM_v2.0_beta3
+#-H- NEMO  libIGCM tag libIGCM_v2.0_beta4
 #-M- NEMO  nemo_st@locean-ipsl.upmc.fr
 #-C- NEMO  IOIPSL/tags/v2_2_1/src                             HEAD  8  IOIPSL/src             modeles
@@ -373,5 +374,5 @@
 #-C- NEMO  branches/CMIP5_IPSL/EXTERNAL/XMLF90                HEAD  7  XMLF90/external        modeles
 #-C- NEMO  branches/CMIP5_IPSL/EXTERNAL/XMLIO_SERVER          HEAD  7  XMLIO_SERVER/external  modeles
-#-C- NEMO  tags/libIGCM_v2.0_beta3                            HEAD  10 libIGCM                .
+#-C- NEMO  tags/libIGCM_v2.0_beta4                            HEAD  10 libIGCM                .
 #-C- NEMO  branches/CMIP5_IPSL/AGRIF                          HEAD  7  .                      modeles
 #-C- NEMO  branches/CMIP5_IPSL/NEMO                           HEAD  7  .                      modeles