Index: TOOLS/PACK_IPSL/DEM_utilities.sh
===================================================================
--- TOOLS/PACK_IPSL/DEM_utilities.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/DEM_utilities.sh	(revision 1900)
@@ -108,5 +108,5 @@
     LOG_LEV=${LOG_LEV:-3}
     local OPTARG OPTIND L_LOG=1
-    local L_DEM_LOG=${DEM_LOG:-dem_log.${$}}
+    local L_DEM_LOG=${DEM_LOG:-${TMP_MIGR_DATA}/dem_log.${$}}
 
     while getopts 0123 L_NAME
@@ -172,5 +172,5 @@
     # -------------------------------------
     #    test sur la var contenant le nom du fichier d'erreur
-    if [ "x${errorMsgFile}" != "x${PWD}/errorMsg.txt" ]
+    if [ "x${errorMsgFile}" != "x${TMP_MIGR_DATA}/errorMsg.txt" ]
     then
         echo "      Le fichier d'erreur a un nom incorrect"
@@ -191,5 +191,5 @@
     # ---------------------------------------
     #    test sur la var contenant le nom du fichier d'erreur
-    if [ "x${errorMsgFile}" != "x${PWD}/errorMsg.txt" ]
+    if [ "x${errorMsgFile}" != "x${TMP_MIGR_DATA}/errorMsg.txt" ]
     then
        echo "      Le fichier d'erreur a un nom incorrect"
Index: TOOLS/PACK_IPSL/archive_debug.sh
===================================================================
--- TOOLS/PACK_IPSL/archive_debug.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/archive_debug.sh	(revision 1900)
@@ -12,5 +12,5 @@
 
 
-export JOB_DIR=${JOB_DIR:-${PWD}}
+export JOB_DIR=${JOB_DIR:-${TMP_MIGR_DATA}}
 export IGCM_DEM=${IGCM_DEM:-${SCRATCHDIR}/IGCM_DEM}
 export IGCM_TMP=${IGCM_TMP:-${IGCM_DEM}/tmp}
Index: TOOLS/PACK_IPSL/archive_restart.sh
===================================================================
--- TOOLS/PACK_IPSL/archive_restart.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/archive_restart.sh	(revision 1900)
@@ -29,5 +29,5 @@
 
 
-export JOB_DIR=${JOB_DIR:-${PWD}}
+export JOB_DIR=${JOB_DIR:-${TMP_MIGR_DATA}}
 export IGCM_DEM=${IGCM_DEM:-${SCRATCHDIR}/IGCM_DEM}
 export IGCM_TMP=${IGCM_TMP:-${IGCM_DEM}/tmp}
Index: TOOLS/PACK_IPSL/calcul_size_simul.sh
===================================================================
--- TOOLS/PACK_IPSL/calcul_size_simul.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/calcul_size_simul.sh	(revision 1900)
@@ -8,5 +8,5 @@
 LISTE_DMNFS=${2}
 
-export JOB_DIR=${JOB_DIR:-${PWD}}
+export JOB_DIR=${JOB_DIR:-${TMP_MIGR_DATA}}
 export IGCM_DEM=${IGCM_DEM:-${SCRATCHDIR}/IGCM_DEM}
 export IGCM_TMP=${IGCM_TMP:-${IGCM_DEM}/tmp}
Index: TOOLS/PACK_IPSL/check_ncrcat_list.sh
===================================================================
--- TOOLS/PACK_IPSL/check_ncrcat_list.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/check_ncrcat_list.sh	(revision 1900)
@@ -14,6 +14,6 @@
 dirout_check=$OUTPUT_CHECK
 
-export JOB_DIR=${LS_SUBCWD:-${PWD}}
-export EXE_DIR=${JOB_DIR}
+export JOB_DIR=${TMP_MIGR_DATA}
+export EXE_DIR=${LS_SUBCWD:-${PWD}}
 source ${EXE_DIR}/DEM_utilities.sh
 
Index: TOOLS/PACK_IPSL/create_config_card.sh
===================================================================
--- TOOLS/PACK_IPSL/create_config_card.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/create_config_card.sh	(revision 1900)
@@ -15,5 +15,5 @@
 
 # ----
-export JOB_DIR=${JOB_DIR:-${PWD}}
+export JOB_DIR=${JOB_DIR:-${TMP_MIGR_DATA}}
 export IGCM_DEM=${IGCM_DEM:-${SCRATCHDIR}/IGCM_DEM}
 export IGCM_TMP=${IGCM_TMP:-${IGCM_DEM}/tmp}
Index: TOOLS/PACK_IPSL/create_listing.sh
===================================================================
--- TOOLS/PACK_IPSL/create_listing.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/create_listing.sh	(revision 1900)
@@ -1,4 +1,3 @@
 #!/bin/bash
-
 
 #cree le listing du repertoire REPtoLISTE ($1) 
@@ -6,5 +5,4 @@
 
 REPtoList=$1
-
 
 EXE_DIR=$(dirname ${0})
Index: TOOLS/PACK_IPSL/find_directory_simul.sh
===================================================================
--- TOOLS/PACK_IPSL/find_directory_simul.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/find_directory_simul.sh	(revision 1900)
@@ -14,5 +14,5 @@
 echo $LISTE_SIMUL $LISTE_DMNFS
 # ----
-export JOB_DIR=${JOB_DIR:-${PWD}}
+export JOB_DIR=${JOB_DIR:-${TMP_MIGR_DATA}}
 export IGCM_DEM=${IGCM_DEM:-${SCRATCHDIR}/IGCM_DEM}
 export IGCM_TMP=${IGCM_TMP:-${IGCM_DEM}/tmp}
@@ -32,5 +32,5 @@
 DEM_log -0 "Demmarrage de ${SCRIPT_NAME}"
 
-cd ${JOB_DIR}
+cd ${EXE_DIR}
 # ----
 # gpdebug : Execute la function errorReceive() si reception d'un signal TERM
@@ -49,5 +49,5 @@
 # Pour tous les fichiers ou repertoires contenus dans le fichier de parametres 
 for DIR in $( awk '{print $0}' ${LISTE_SIMUL} ) ; do 
-
+    eval DIR_FINAL=$DIR
     DEM_log -1 ${SCRIPT_NAME} - Inspection de ${DIR}"/"
     # trouve la liste des repertoires restart sous l'arborescence    
@@ -56,5 +56,5 @@
     
     # gpdebug : s'il n'y a pas de rep Restart, on saute ###############################################################################
-    listRestart=`grep ${DIR}"/" ${LISTE_DMNFS} | grep Restart/ | awk '{print $3}' | sed 's%/Restart.*%%' `
+    listRestart=`grep ${DIR_FINAL}"/" ${LISTE_DMNFS} | grep Restart/ | awk '{print $3}' | sed 's%/Restart.*%%' `
 
     if [ "x${listRestart}" == "x" ] ;
@@ -62,5 +62,5 @@
         # DEM_errorSend "${SCRIPT_NAME}:${LINENO}:Pas de Repertoire Restart dans ${DIR}" "${$}" # gpdebug : a virer ########
 	echo "########## Attention :"
-	echo "${SCRIPT_NAME}:${LINENO}:Pas de Repertoire Restart ou de fichiers Restart dans ${DIR}"
+	echo "${SCRIPT_NAME}:${LINENO}:Pas de Repertoire Restart ou de fichiers Restart dans ${DIR_FINAL}"
 	continue
     fi
Index: TOOLS/PACK_IPSL/find_size_pack.sh
===================================================================
--- TOOLS/PACK_IPSL/find_size_pack.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/find_size_pack.sh	(revision 1900)
@@ -17,5 +17,5 @@
 
 # ----
-export JOB_DIR=${JOB_DIR:-${PWD}}
+export JOB_DIR=${JOB_DIR:-${TMP_MIGR_DATA}}
 export IGCM_DEM=${IGCM_DEM:-${SCRATCHDIR}/IGCM_DEM}
 export IGCM_TMP=${IGCM_TMP:-${IGCM_DEM}/tmp}
@@ -38,5 +38,5 @@
 
 DEM_log -0 "Demmarrage de ${SCRIPT_NAME}"
-cd ${JOB_DIR}
+cd ${EXE_DIR}
 # ----
 
Index: TOOLS/PACK_IPSL/launch_and_measureTime.sh
===================================================================
--- TOOLS/PACK_IPSL/launch_and_measureTime.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/launch_and_measureTime.sh	(revision 1900)
@@ -353,6 +353,6 @@
 set +x
 
-export JOB_DIR=${LS_SUBCWD:-${PWD}}
-export EXE_DIR=${JOB_DIR}
+export JOB_DIR=${TMP_MIGR_DATA}
+export EXE_DIR=${LS_SUBCWD:-${PWD}}
 source ${EXE_DIR}/DEM_utilities.sh
 
Index: TOOLS/PACK_IPSL/launch_ipsl_enlarge.sh
===================================================================
--- TOOLS/PACK_IPSL/launch_ipsl_enlarge.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/launch_ipsl_enlarge.sh	(revision 1900)
@@ -37,6 +37,6 @@
 # gpdebug : end
 
-export JOB_DIR=${LS_SUBCWD:-${PWD}}
-export EXE_DIR=${JOB_DIR}
+#export JOB_DIR=${TMP_MIGR_DATA}
+#export EXE_DIR=${LS_SUBCWD:-${PWD}}
 
 # export INPUT_DMF_DATA=/ccc/dmfbuf/import_data.2/ccrt/dmnfs12/cont003/bacasable # gpdebug : suppr
@@ -54,4 +54,6 @@
 export IGCM_TMP="${IGCM_DEM}/tmp"  # gpdebug : added
 
+export JOB_DIR=${TMP_MIGR_DATA}
+export EXE_DIR=${LS_SUBCWD:-${PWD}}
 
 export clean_tmp=${clean_tmp:-yes}
@@ -68,5 +70,5 @@
 export listPID=$$
 # fichier pour la transmission des messages d'erreur d'un fils au prog principal
-export errorMsgFile="${PWD}/errorMsg.txt"
+export errorMsgFile="${TMP_MIGR_DATA}/errorMsg.txt"
 ############## gpdebug : fin ############################################################## 
 
Index: TOOLS/PACK_IPSL/launch_ipsl_pack.sh
===================================================================
--- TOOLS/PACK_IPSL/launch_ipsl_pack.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/launch_ipsl_pack.sh	(revision 1900)
@@ -14,7 +14,4 @@
 # ex : ./launch_ipsl_pack.sh param_OM.txt
 
-export JOB_DIR=${LS_SUBCWD:-${PWD}}
-export EXE_DIR=${JOB_DIR}
-
 # Est-on sur ulam (machine de l'IDRIS) ?
 is_idris_machine=`hostname | grep "ulam" | wc -l `
@@ -30,5 +27,5 @@
 # qui force l'execution de toute les etapes du script de listes)
 execEveryStep=0
-LISTE_SIMUL=
+LISTE_SIMUL_ARG=
 while [ $# -gt 0 ]
 do
@@ -39,46 +36,73 @@
         echo "force..."
 	;;
-   *)  LISTE_SIMUL=${1} 
+   *)  LISTE_SIMUL_ARG=${1} 
        echo "autres..."
        ;;
-   
    esac
    shift
 done
-echo "Fin boucle sur arguments"
 export execEveryStep=${execEveryStep}
-if [ "x${LISTE_SIMUL}" == "x" ]
-then
-    echo "Vous devez passer un fichier en parametre"
-    exit 1
-fi
-
+
+SCRIPT_NAME=$(basename ${0} )
+
+# On renseigne les variables d'environnement
+export scriptCallingLoad=$SCRIPT_NAME # sert a renseigner "load_ipslPack_env.sh" sur le script l'appelant
+. load_ipslPack_env.sh
+
+if [ "x${LISTE_SIMUL_ARG}" == "x" ]
+then
+    if [ -f /ccc/work/cont003/dsm/p86ipsl/PARAM_USER_IPSL/$USER.txt ]
+    then
+	echo "The file used is /ccc/work/cont003/dsm/p86ipsl/PARAM_USER_IPSL/$USER.txt" 
+	LISTE_SIMUL="/ccc/work/cont003/dsm/p86ipsl/PARAM_USER_IPSL/$USER.txt" 
+    else	
+	echo "Vous devez passer un fichier en parametre"
+	exit 1
+    fi
+else
+    LISTE_SIMUL=${LISTE_SIMUL_ARG}
+fi
+
+LISTE_SIMUL_NAME=$(basename ${LISTE_SIMUL} )
 # fichier de progression d'execution
 ficParam=$( basename ${LISTE_SIMUL} ) # gpdebug : modif ici et ligne d'apres
 extSuiviListes=`echo ${ficParam} | sed 's;\.[[:alnum:]]*$;;' `
 # echo "extSuiviListes=$extSuiviListes" # gpdebug : a virer
-export MonitoringDir="${PWD}/SuiviListes_${extSuiviListes}"
+#export MonitoringDir="${TMP_MIGR_DATA}/SuiviListes_${extSuiviListes}"
 # echo "MonitoringDir=$MonitoringDir" # gpdebug : a virer
 # exit 0  # gpdebug : a virer
 
+#export generalMonitorFile=${MonitoringDir}/general.txt
+#export nbSimuFile=${MonitoringDir}/nbSimu.txt
+
+##### gpdebug : fin #####################################
+
+# LISTE_SIMUL=${1} # gpdebug : suppr --> cette affectation est maintenant faite dans la boucle while des arg du script ################
+
+#LISTE_SIMUL=${JOB_DIR}/param_SL.txt 
+#LISTE_DMNFS=${JOB_DIR}/SL_information_dmnfs_2012-03-21
+
+# LISTE_SIMUL=${JOB_DIR}/param_OM.txt
+# LISTE_DMNFS=${JOB_DIR}/OM_information_dmnfs_2012-03-21
+
+#LISTE_SIMUL_NAME=$(basename ${LISTE_SIMUL} )
+#SCRIPT_NAME=$(basename ${0} )
+
+# On renseigne les variables d'environnement
+#export scriptCallingLoad=$SCRIPT_NAME # sert a renseigner "load_ipslPack_env.sh" sur le script l'appelant
+
+#. load_ipslPack_env.sh
+
+export JOB_DIR=${TMP_MIGR_DATA}
+export EXE_DIR=${LS_SUBCWD:-${PWD}}
+
+# echo "extSuiviListes=$extSuiviListes" # gpdebug : a virer
+export MonitoringDir="${TMP_MIGR_DATA}/SuiviListes_${extSuiviListes}"
+# echo "MonitoringDir=$MonitoringDir" # gpdebug : a virer
+# exit 0  # gpdebug : a virer
+
 export generalMonitorFile=${MonitoringDir}/general.txt
 export nbSimuFile=${MonitoringDir}/nbSimu.txt
 
-##### gpdebug : fin #####################################
-
-# LISTE_SIMUL=${1} # gpdebug : suppr --> cette affectation est maintenant faite dans la boucle while des arg du script ################
-
-#LISTE_SIMUL=${JOB_DIR}/param_SL.txt 
-#LISTE_DMNFS=${JOB_DIR}/SL_information_dmnfs_2012-03-21
-
-# LISTE_SIMUL=${JOB_DIR}/param_OM.txt
-# LISTE_DMNFS=${JOB_DIR}/OM_information_dmnfs_2012-03-21
-
-LISTE_SIMUL_NAME=$(basename ${LISTE_SIMUL} )
-SCRIPT_NAME=$(basename ${0} )
-
-# On renseigne les variables d'environnement
-export scriptCallingLoad=$SCRIPT_NAME # sert a renseigner "load_ipslPack_env.sh" sur le script l'appelant
-. load_ipslPack_env.sh
 
 if [ "x${IGCM_DEM}" == "x" ]
@@ -117,5 +141,5 @@
 
 # gpdebug : fichier pour la transmission des messages d'erreur d'un fils au prog principal
-export errorMsgFile="${PWD}/errorMsg.txt" ########
+export errorMsgFile="${TMP_MIGR_DATA}/errorMsg.txt" ########
 
 DEM_log -0 "Demarrage de ${SCRIPT_NAME}"
@@ -130,6 +154,7 @@
 # on efface les tests precedents
 
-for DIR in $( awk '{print $0}' ${LISTE_SIMUL} ) ; do 
-    ./create_listing.sh $DIR
+for DIR in $( awk '{print $0}' ${LISTE_SIMUL} ) ; do
+    eval DIR_FINAL=$DIR
+    ./create_listing.sh $DIR_FINAL
 done
 
Index: TOOLS/PACK_IPSL/parallelPack.sh
===================================================================
--- TOOLS/PACK_IPSL/parallelPack.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/parallelPack.sh	(revision 1900)
@@ -227,6 +227,6 @@
 #####################################################################################
 
-export JOB_DIR=${LS_SUBCWD:-${PWD}}
-export EXE_DIR=${JOB_DIR}
+export JOB_DIR=${TMP_MIGR_DATA}
+export EXE_DIR=${LS_SUBCWD:-${PWD}}
 source ${EXE_DIR}/DEM_utilities.sh
 
@@ -237,5 +237,5 @@
 export listPID=$$
 # fichier pour la transmission des messages d'erreur d'un fils au prog principal
-export errorMsgFile="${PWD}/errorMsg.txt"
+export errorMsgFile="${TMP_MIGR_DATA}/errorMsg.txt"
 ############## gpdebug : fin ##############################################################
 
Index: TOOLS/PACK_IPSL/process_list.sh
===================================================================
--- TOOLS/PACK_IPSL/process_list.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/process_list.sh	(revision 1900)
@@ -16,6 +16,7 @@
 dirout_work=$OUTPUT_WORK
 
-export JOB_DIR=${LS_SUBCWD:-${PWD}}
-export EXE_DIR=${JOB_DIR}
+export JOB_DIR=${TMP_MIGR_DATA}
+export EXE_DIR=${LS_SUBCWD:-${PWD}}
+
 source ${EXE_DIR}/DEM_utilities.sh
 #------------------------------------------------------
Index: TOOLS/PACK_IPSL/showListsProgress.sh
===================================================================
--- TOOLS/PACK_IPSL/showListsProgress.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/showListsProgress.sh	(revision 1900)
@@ -66,5 +66,5 @@
 fi
 extSuiviListes=`echo ${paramFileBasename} | sed 's;\.[[:alnum:]]*$;;' `
-export MonitoringDir="${PWD}/SuiviListes_${extSuiviListes}"
+export MonitoringDir="${TMP_MIGR_DATA}/SuiviListes_${extSuiviListes}"
 # echo "MonitoringDir=$MonitoringDir"
 export generalMonitorFile=${MonitoringDir}/general.txt
Index: TOOLS/PACK_IPSL/showPackProgress.sh
===================================================================
--- TOOLS/PACK_IPSL/showPackProgress.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/showPackProgress.sh	(revision 1900)
@@ -1,9 +1,9 @@
 #!/bin/bash
-
-export JOB_DIR=${LS_SUBCWD:-${PWD}}
-export EXE_DIR=${JOB_DIR}
 
 # On renseigne les variables d'environnement 
 . load_ipslPack_env.sh
+
+export JOB_DIR=${TMP_MIGR_DATA}
+export EXE_DIR=${LS_SUBCWD:-${PWD}}
 
 SCRIPT_NAME=$(basename ${0} )
Index: TOOLS/PACK_IPSL/write_liste_pack.sh
===================================================================
--- TOOLS/PACK_IPSL/write_liste_pack.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/write_liste_pack.sh	(revision 1900)
@@ -19,5 +19,5 @@
 
 # ----
-export JOB_DIR=${JOB_DIR:-${PWD}}
+export JOB_DIR=${JOB_DIR:-${TMP_MIGR_DATA}}
 export IGCM_DEM=${IGCM_DEM:-${SCRATCHDIR}/IGCM_DEM}
 export IGCM_TMP=${IGCM_TMP:-${IGCM_DEM}/tmp}
Index: TOOLS/PACK_IPSL/write_liste_tar.sh
===================================================================
--- TOOLS/PACK_IPSL/write_liste_tar.sh	(revision 1899)
+++ TOOLS/PACK_IPSL/write_liste_tar.sh	(revision 1900)
@@ -11,5 +11,5 @@
 
 # ----
-export JOB_DIR=${JOB_DIR:-${PWD}}
+export JOB_DIR=${JOB_DIR:-${TMP_MIGR_DATA}}
 export IGCM_DEM=${IGCM_DEM:-${SCRATCHDIR}/IGCM_DEM}
 export IGCM_TMP=${IGCM_TMP:-${IGCM_DEM}/tmp}