Index: TOOLS/PACK_IPSL/DEM_utilities.sh
===================================================================
--- TOOLS/PACK_IPSL/DEM_utilities.sh	(revision 1910)
+++ TOOLS/PACK_IPSL/DEM_utilities.sh	(revision 1911)
@@ -1,4 +1,3 @@
 #!/bin/bash
-
 #
 # Fonctions utiles pour les scripts de Pack IPSL
@@ -232,5 +231,5 @@
    PROGNAME="DEM_utilities.sh" #########
    . /etc/profile 
-   module list >& myModuleList.txt
+   module list >& ${JOB_DIR}/myModuleList.txt
    
    if [ "x$?" != "x0" ]
@@ -240,5 +239,5 @@
    fi
    
-   if [ ! -e myModuleList.txt ]
+   if [ ! -e ${JOB_DIR}/myModuleList.txt ]
    then
        # echo "Le fichier 'myModuleList.txt'  n existe pas"
@@ -247,5 +246,5 @@
    
    # Presence de la chaine "n) nco/" ou n est un nombre  
-   ncoLines=` grep -e '[[:digit:]]*) nco/' myModuleList.txt `
+   ncoLines=` grep -e '[[:digit:]]*) nco/' ${JOB_DIR}/myModuleList.txt `
    # ncoLines=` grep -e '[[:digit:]]*) nco/' moduleList.txt `
    # echo "ncoLines=${ncoLines}|"
@@ -253,5 +252,5 @@
 
    # Plus besoin du myModuleList.txt
-   rm -f myModuleList.txt
+   rm -f ${JOB_DIR}/myModuleList.txt
  
    # La chaine "nco" est remplacee par le caractere "#"
@@ -331,5 +330,5 @@
    PROGNAME="DEM_utilities.sh" #########
    . /etc/profile 
-   module list >& myModuleList.txt
+   module list >& ${JOB_DIR}/myModuleList.txt
    
    if [ "x$?" != "x0" ]
@@ -339,5 +338,5 @@
    fi
    
-   if [ ! -e myModuleList.txt ]
+   if [ ! -e ${JOB_DIR}/myModuleList.txt ]
    then
        # echo "Le fichier 'myModuleList.txt'  n existe pas"
@@ -346,5 +345,5 @@
    
    # Presence de la chaine "n) nco/" ou n est un nombre  
-   ncoLines=` grep -e '[[:digit:]]*) nco/' myModuleList.txt `
+   ncoLines=` grep -e '[[:digit:]]*) nco/' ${JOB_DIR}/myModuleList.txt `
    # ncoLines=` grep -e '[[:digit:]]*) nco/' moduleList.txt `
    # echo "ncoLines=${ncoLines}|"
@@ -352,5 +351,5 @@
 
    # Plus besoin du myModuleList.txt
-   rm -f myModuleList.txt
+   rm -f ${JOB_DIR}/myModuleList.txt
  
    # La chaine "nco" est remplacee par le caractere "#"
@@ -427,5 +426,5 @@
    PROGNAME="DEM_utilities.sh" #########
    . /etc/profile 
-   module list >& myModuleList.txt
+   module list >& ${JOB_DIR}/myModuleList.txt
    
    if [ "x$?" != "x0" ]
@@ -435,5 +434,5 @@
    fi
    
-   if [ ! -e myModuleList.txt ]
+   if [ ! -e ${JOB_DIR}/myModuleList.txt ]
    then
        # echo "Le fichier 'myModuleList.txt'  n existe pas"
@@ -442,5 +441,5 @@
    
    # Presence de la chaine "n) nco/" ou n est un nombre  
-   nb_of_libLines=` grep -e '[[:digit:]]*) netcdf/' myModuleList.txt | wc -l `
+   nb_of_libLines=` grep -e '[[:digit:]]*) netcdf/' ${JOB_DIR}/myModuleList.txt | wc -l `
 
    if [ "x${nb_of_libLines}" == "x0" ]
@@ -450,5 +449,5 @@
 
    # Plus besoin du myModuleList.txt
-   rm -f myModuleList.txt
+   rm -f ${JOB_DIR}/myModuleList.txt
 }
 
@@ -458,5 +457,5 @@
    PROGNAME="DEM_utilities.sh" #########
    . /etc/profile 
-   module list >& myModuleList.txt
+   module list >& ${JOB_DIR}/myModuleList.txt
    
    if [ "x$?" != "x0" ]
@@ -466,5 +465,5 @@
    fi
    
-   if [ ! -e myModuleList.txt ]
+   if [ ! -e ${JOB_DIR}/myModuleList.txt ]
    then
        # echo "Le fichier 'myModuleList.txt'  n existe pas"
@@ -473,5 +472,5 @@
    
    # Presence de la chaine "n) nco/" ou n est un nombre  
-   nb_of_libLines=` grep -e '[[:digit:]]*) libccc_user/' myModuleList.txt | wc -l `
+   nb_of_libLines=` grep -e '[[:digit:]]*) libccc_user/' ${JOB_DIR}/myModuleList.txt | wc -l `
 
    if [ "x${nb_of_libLines}" == "x0" ]
@@ -481,5 +480,5 @@
 
    # Plus besoin du myModuleList.txt
-   rm -f myModuleList.txt
+   rm -f ${JOB_DIR}/myModuleList.txt
 
 }
@@ -491,5 +490,5 @@
    PROGNAME="DEM_utilities.sh" #########
    . /etc/profile 
-   module list >& myModuleList.txt
+   module list >& ${JOB_DIR}/myModuleList.txt
    
    if [ "x$?" != "x0" ]
@@ -499,5 +498,5 @@
    fi
    
-   if [ ! -e myModuleList.txt ]
+   if [ ! -e ${JOB_DIR}/myModuleList.txt ]
    then
        # echo "Le fichier 'myModuleList.txt'  n existe pas"
@@ -506,5 +505,5 @@
    
    # Presence de la chaine "n) nco/" ou n est un nombre  
-   nb_of_libLines=` grep -e '[[:digit:]]*) cdo/' myModuleList.txt | wc -l `
+   nb_of_libLines=` grep -e '[[:digit:]]*) cdo/' ${JOB_DIR}/myModuleList.txt | wc -l `
 
    if [ "x${nb_of_libLines}" == "x0" ]
@@ -514,5 +513,5 @@
 
    # Plus besoin du myModuleList.txt
-   rm -f myModuleList.txt
+   rm -f ${JOB_DIR}/myModuleList.txt
 
 }
Index: TOOLS/PACK_IPSL/archive_debug.sh
===================================================================
--- TOOLS/PACK_IPSL/archive_debug.sh	(revision 1910)
+++ TOOLS/PACK_IPSL/archive_debug.sh	(revision 1911)
@@ -58,5 +58,8 @@
 
 cd ${STORE_DEBUG}
+if [ "x${STORE_DEBUG}" != "x" ]
+then
 rm -rf *
+fi
 
 # On copie les fichiers de Debug sur le scratchdir en changeant le nom et conservant la date
Index: TOOLS/PACK_IPSL/archive_restart.sh
===================================================================
--- TOOLS/PACK_IPSL/archive_restart.sh	(revision 1910)
+++ TOOLS/PACK_IPSL/archive_restart.sh	(revision 1911)
@@ -74,5 +74,8 @@
 
 cd ${STORE_RESTART}
+if [ "x${STORE_RESTART}" != "x" ]
+then
 rm -rf *
+fi
 
 # On les copie sur le scratchdir en changeant le nom et conservant la date
Index: TOOLS/PACK_IPSL/check_libccc_user.sh
===================================================================
--- TOOLS/PACK_IPSL/check_libccc_user.sh	(revision 1910)
+++ TOOLS/PACK_IPSL/check_libccc_user.sh	(revision 1911)
@@ -3,8 +3,9 @@
 function check_cdo
 {
-   module list >& myModuleList.txt 
+   . load_ipslPack_env.sh
+   module list >& ${TMP_MIGR_DATA}/myModuleList.txt 
    
    # Presence de la chaine "n) nco/" ou n est un nombre  
-   nb_of_libLines=` grep -e '[[:digit:]]*) libccc_user/' myModuleList.txt | wc -l `
+   nb_of_libLines=` grep -e '[[:digit:]]*) libccc_user/' ${TMP_MIGR_DATA}/myModuleList.txt | wc -l `
 
    if [ "x${nb_of_libLines}" == "x0" ]
@@ -15,5 +16,5 @@
 
    # Plus besoin du myModuleList.txt
-   rm -f myModuleList.txt > /dev/null 2>&1
+   rm -f ${TMP_MIGR_DATA}/myModuleList.txt > /dev/null 2>&1
    # echo "0"
    exit 0
Index: TOOLS/PACK_IPSL/diff.bash
===================================================================
--- TOOLS/PACK_IPSL/diff.bash	(revision 1910)
+++ TOOLS/PACK_IPSL/diff.bash	(revision 1911)
@@ -16,9 +16,9 @@
 fi
 
-cdo -s $delname $1 out_tmp1.nc
-cdo -s $delname $2 out_tmp2.nc
+cdo -s $delname $1 ${JOB_DIR}/out_tmp1.nc
+cdo -s $delname $2 ${JOB_DIR}/out_tmp2.nc
 
-cdo -s diff out_tmp1.nc out_tmp2.nc > diff_$$.tmp 2>&1
-result2=`cat diff_$$.tmp | grep -i "records differ" | tr -s " " | cut -f2 -d" "`
+cdo -s diff ${JOB_DIR}/out_tmp1.nc ${JOB_DIR}/out_tmp2.nc > ${JOB_DIR}/diff_$$.tmp 2>&1
+result2=`cat ${JOB_DIR}/diff_$$.tmp | grep -i "records differ" | tr -s " " | cut -f2 -d" "`
 
 if [ "$result2" = "0" ] ; then
@@ -28,5 +28,5 @@
 	echo "$2" 
 	echo "are the same"
-	rm -f diff_$$.tmp out_tmp1.nc out_tmp2.nc
+	rm -f ${JOB_DIR}/diff_$$.tmp ${JOB_DIR}/out_tmp1.nc ${JOB_DIR}/out_tmp2.nc
 	exit 0
 else
@@ -36,6 +36,6 @@
 	echo "$2" 
 	echo "differ"	
-	cat diff_$$.tmp | grep -i "records differ"
-	rm -f diff_$$.tmp out_tmp1.nc out_tmp2.nc
+	cat ${JOB_DIR}/diff_$$.tmp | grep -i "records differ"
+	rm -f ${JOB_DIR}/diff_$$.tmp ${JOB_DIR}/out_tmp1.nc ${JOB_DIR}/out_tmp2.nc
 	echo "==============> ERROR"
 	exit 1 
Index: TOOLS/PACK_IPSL/find_directory_simul.sh
===================================================================
--- TOOLS/PACK_IPSL/find_directory_simul.sh	(revision 1910)
+++ TOOLS/PACK_IPSL/find_directory_simul.sh	(revision 1911)
@@ -104,8 +104,8 @@
 DEM_log -1 "Suppression des doublons"
 
-awk '{if (x[$0] != "") next ; print $0 ; x[$0]=$0}' <${IGCM_TMP}/${$}.path_simul.txt  >> liste_simul_${LISTE_SIMUL_NAME}
-awk '{if (x[$0] != "") next ; print $0 ; x[$0]=$0}' <liste_simul_${LISTE_SIMUL_NAME}  >> liste_simul_${LISTE_SIMUL_NAME}.tmp${$}
-mv liste_simul_${LISTE_SIMUL_NAME}.tmp${$} ${IGCM_DEM}/liste_simul_${LISTE_SIMUL_NAME}
-rm -f liste_simul_${LISTE_SIMUL_NAME}
+awk '{if (x[$0] != "") next ; print $0 ; x[$0]=$0}' <${IGCM_TMP}/${$}.path_simul.txt  >> ${JOB_DIR}/liste_simul_${LISTE_SIMUL_NAME}
+awk '{if (x[$0] != "") next ; print $0 ; x[$0]=$0}' <${JOB_DIR}/liste_simul_${LISTE_SIMUL_NAME}  >> ${JOB_DIR}/liste_simul_${LISTE_SIMUL_NAME}.tmp${$}
+mv ${JOB_DIR}/liste_simul_${LISTE_SIMUL_NAME}.tmp${$} ${IGCM_DEM}/liste_simul_${LISTE_SIMUL_NAME}
+rm -f ${JOB_DIR}/liste_simul_${LISTE_SIMUL_NAME}
 
 # gpdebug : envoi du nombre de simu dans un "nbSimu.txt" du rep de suivi
Index: TOOLS/PACK_IPSL/launch_and_measureTime.sh
===================================================================
--- TOOLS/PACK_IPSL/launch_and_measureTime.sh	(revision 1910)
+++ TOOLS/PACK_IPSL/launch_and_measureTime.sh	(revision 1911)
@@ -58,6 +58,6 @@
    
    # Il peut arriver que 2 listes soient identiques, on empeche ce cas
-   cat ${tasksListFile} | sort | uniq > taskFile.txt
-   cat taskFile.txt > ${tasksListFile}  
+   cat ${tasksListFile} | sort | uniq > ${JOB_DIR}/taskFile.txt
+   cat ${JOB_DIR}/taskFile.txt > ${tasksListFile}  
 
 }
@@ -343,6 +343,6 @@
 #MSUB -r pack_ipsl          # Nom du job                
 ### mutable directives ###
-#MSUB -o /ccc/dmfbuf/ipsl_logs/dsm/bacasable/ARNAUD/PSEUDO_DMNFS_PROGRESS/ARNAUD/IPSLCM5/detailed_pack_output/pack_ipsl_%I.o
-#MSUB -e /ccc/dmfbuf/ipsl_logs/dsm/bacasable/ARNAUD/PSEUDO_DMNFS_PROGRESS/ARNAUD/IPSLCM5/detailed_pack_output/pack_ipsl_%I.e
+#MSUB -o /ccc/dmfbuf/ipsl_logs/dsm/bacasable/ARNAUD/PSEUDO_DMNFS_PROGRESS/ARNAUD/IPSLCM5/R55C/detailed_pack_output/pack_ipsl_%I.o
+#MSUB -e /ccc/dmfbuf/ipsl_logs/dsm/bacasable/ARNAUD/PSEUDO_DMNFS_PROGRESS/ARNAUD/IPSLCM5/R55C/detailed_pack_output/pack_ipsl_%I.e
 #MSUB -n 16
 #MSUB -T 1500
@@ -352,5 +352,4 @@
 ########## batch directives : end ##########
 set +x
-
 export JOB_DIR=${TMP_MIGR_DATA}
 export EXE_DIR=${LS_SUBCWD:-${PWD}}
@@ -376,5 +375,5 @@
 export reportFile="${progressDir}/report__try__${numCurrentTry}__instance__${numNewInstance}.log"
 export checkFile="${progressDir}/check__try__${numCurrentTry}__instance__${numNewInstance}.log"
-export checkFileTmp="checkTmp__try__${numCurrentTry}__instance__${numNewInstance}.txt"
+export checkFileTmp="${JOB_DIR}/checkTmp__try__${numCurrentTry}__instance__${numNewInstance}.txt"
 
 export listsOfFilesToRemove="${progressDir}/listsToRmv__try__${numCurrentTry}__instance__${numNewInstance}.txt"
Index: TOOLS/PACK_IPSL/process_list.sh
===================================================================
--- TOOLS/PACK_IPSL/process_list.sh	(revision 1910)
+++ TOOLS/PACK_IPSL/process_list.sh	(revision 1911)
@@ -50,10 +50,10 @@
 for file in `cat $1` ; do
  #   ncdump -h ${file} | gawk '{if (match($0, /(byte|char|short|int|float|double) (.*)\(/, arr)) print arr[2] }' >> tmp_$$.txt
-    ncdump -h ${file} | grep -Ew "byte|char|short|int|float|double"  | awk -F\( '{split($1,a," ") ; split($2,b,")") ; if (a[2] != b[1]) print a[2]}'  >> tmp_$$.txt
+    ncdump -h ${file} | grep -Ew "byte|char|short|int|float|double"  | awk -F\( '{split($1,a," ") ; split($2,b,")") ; if (a[2] != b[1]) print a[2]}'  >> ${JOB_DIR}/tmp_$$.txt
     let nbfile=nbfile+1
 done
 
-varstoexclude=`cat tmp_$$.txt | sort | uniq -c | awk -v nbfile=$nbfile '{if ($1 != nbfile) {print $2}}' | paste -s -d','`
-varstoexcludefiltered=`cat tmp_$$.txt | sort | uniq -c | awk -v nbfile=$nbfile '{if (($1 != nbfile) && !(match($2, /t_inst_(.*)/))) {print $2}}' | paste -s -d','`
+varstoexclude=`cat ${JOB_DIR}/tmp_$$.txt | sort | uniq -c | awk -v nbfile=$nbfile '{if ($1 != nbfile) {print $2}}' | paste -s -d','`
+varstoexcludefiltered=`cat ${JOB_DIR}/tmp_$$.txt | sort | uniq -c | awk -v nbfile=$nbfile '{if (($1 != nbfile) && !(match($2, /t_inst_(.*)/))) {print $2}}' | paste -s -d','`
 nbvars=`echo $varstoexcludefiltered | gawk -F',' '{print NF}'`
 
Index: TOOLS/PACK_IPSL/showListsProgress.sh
===================================================================
--- TOOLS/PACK_IPSL/showListsProgress.sh	(revision 1910)
+++ TOOLS/PACK_IPSL/showListsProgress.sh	(revision 1911)
@@ -53,16 +53,26 @@
 # Main program ########
 #######################
-
+. load_ipslPack_env.sh
 # fichier de progression d'execution
 # Le seul arg du script doit etre un fichier param
-
-paramFile=${1}
-paramFileBasename=$(basename ${1})
-
-if [ ! -e $paramFile ] || [ "x${paramFile}" == "x" ]
+# paramFile=${1}
+# paramFileBasename=$(basename ${1})
+
+# if [ ! -e $paramFile ] || [ "x${paramFile}" == "x" ]
+# then
+#     echo "Le fichier en argument n existe pas"
+#     exit 0
+# fi
+
+if [ ! -e ${1} ] || [ "x${1}" == "x" ]
 then
     echo "Le fichier en argument n existe pas"
     exit 0
-fi
+else
+    paramFile=${1}
+    paramFileBasename=$(basename ${1})
+fi
+
+
 extSuiviListes=`echo ${paramFileBasename} | sed 's;\.[[:alnum:]]*$;;' `
 export MonitoringDir="${TMP_MIGR_DATA}/SuiviListes_${extSuiviListes}"
Index: TOOLS/PACK_IPSL/showPackProgress.sh
===================================================================
--- TOOLS/PACK_IPSL/showPackProgress.sh	(revision 1910)
+++ TOOLS/PACK_IPSL/showPackProgress.sh	(revision 1911)
@@ -55,5 +55,5 @@
 {
    statFile=$1
-   echo "statFile=$1" >> showPackProgress.log
+   echo "statFile=$1" >> ${JOB_DIR}/showPackProgress.log
    if [ ! -e $statFile ]
    then
@@ -61,6 +61,6 @@
       return
    fi
-   echo "blabla" >> showPackProgress.log
-   echo "----------------------------------------------" >> showPackProgress.log
+   echo "blabla" >> ${JOB_DIR}/showPackProgress.log
+   echo "----------------------------------------------" >> ${JOB_DIR}/showPackProgress.log
    # echo "progressStatus..." # gpdebug : a virer
    
@@ -266,5 +266,5 @@
      fi
 
-     echo "	  $listName : $status | time : $timeTaken" >> simuPrint.txt
+     echo "	  $listName : $status | time : $timeTaken" >> ${JOB_DIR}/simuPrint.txt
      
      timeInSecondsOK=`echo $timeTaken | grep -e '^[[:digit:].]*$' | wc -l `
@@ -339,5 +339,5 @@
 
 
-> showPackProgress.log # vider le fichier de log
+> ${JOB_DIR}/showPackProgress.log # vider le fichier de log
 
 
@@ -399,5 +399,5 @@
     simuName=$( getSimuName $CONFIG )
     
-    > simuPrint.txt
+    > ${JOB_DIR}/simuPrint.txt
 
     export PATH_SIMU=$( dirname $CONFIG )
@@ -413,8 +413,8 @@
 	 for dir in $listOfDir
 	 do
-	     echo "   ${dir} :" >> simuPrint.txt
+	     echo "   ${dir} :" >> ${JOB_DIR}/simuPrint.txt
 	     if [ ! -d $PATH_SIMU/${dir} ]
 	     then
-	        echo "      ${dir} n'existe pas pour cette simu" >> simuPrint.txt
+	        echo "      ${dir} n'existe pas pour cette simu" >> ${JOB_DIR}/simuPrint.txt
 #		simuOK=$(( $simuOK && 0 )) # marque une simu pas OK
 	        continue
@@ -424,5 +424,5 @@
 	     if [ "x$listFilesInDir" == "x0" ]
 	     then
-	        echo "       -- no list --" >> simuPrint.txt
+	        echo "       -- no list --" >> ${JOB_DIR}/simuPrint.txt
 	        continue	   
 	     fi
@@ -468,5 +468,5 @@
         if [ "x${detailed_mode}" == "x1" ]
         then
-    	    cat simuPrint.txt  $outRedirectStatement
+    	    cat ${JOB_DIR}/simuPrint.txt  $outRedirectStatement
         fi
     else
@@ -478,5 +478,5 @@
         if [ "x${detailed_mode}" == "x1" ]
         then
-    	    cat simuPrint.txt  $outRedirectStatement               >> ${outputFile}
+    	    cat ${JOB_DIR}/simuPrint.txt  $outRedirectStatement               >> ${outputFile}
         fi     
         else
@@ -486,9 +486,9 @@
 	    then
 		simuName_modif=$( echo $simuName | sed s%"/"%"_"%g )
-		cat simuPrint.txt $outRedirectStatemen > ${USER}_SIMUS/${simuName_modif}".log"
+		cat ${JOB_DIR}/simuPrint.txt $outRedirectStatemen > ${USER}_SIMUS/${simuName_modif}".log"
 	    fi
         fi
     fi 
-    rm simuPrint.txt
+    rm ${JOB_DIR}/simuPrint.txt
 done
 